package org.jangod.saas.form.controller.service;

import cn.hutool.core.util.URLUtil;
import com.aep.cloud.error.AepApiException;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.inspur.bsp.service.BspService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import java.io.IOException;
import java.io.InputStream;
import java.lang.invoke.SerializedLambda;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.stream.Collectors;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.collections.map.HashedMap;
import org.apache.commons.lang.StringUtils;
import org.jangod.iweb.core.action.AbstractController;
import org.jangod.iweb.core.annotation.AepSecurity;
import org.jangod.iweb.core.bean.IUser;
import org.jangod.iweb.core.bean.IUserConvert;
import org.jangod.iweb.core.bean.Result;
import org.jangod.iweb.core.bean.ResultList;
import org.jangod.iweb.core.bean.ResultObject;
import org.jangod.iweb.core.dao.BusiException;
import org.jangod.iweb.db.binding.RelationsBinder;
import org.jangod.iweb.db.util.BeanUtils;
import org.jangod.iweb.properties.AppProperties;
import org.jangod.iweb.util.CacheManager;
import org.jangod.iweb.util.DaoFactory;
import org.jangod.iweb.util.JWTUtil;
import org.jangod.iweb.util.ResultUtil;
import org.jangod.iweb.util.StringUtil;
import org.jangod.iweb.util.Tools;
import org.jangod.saas.api.bean.dto.ServiceDto;
import org.jangod.saas.api.bean.dto.ServiceInputParam;
import org.jangod.saas.api.bean.vo.ApiVo;
import org.jangod.saas.api.util.ApiUtil;
import org.jangod.saas.form.bean.dto.api.CFormTokenDto;
import org.jangod.saas.form.bean.dto.api.PermissionDto;
import org.jangod.saas.form.bean.dto.approve.RejectDto;
import org.jangod.saas.form.bean.dto.data.FormDataDto;
import org.jangod.saas.form.bean.dto.data.ValidateFormDataDto;
import org.jangod.saas.form.bean.dto.form.FormContentDto;
import org.jangod.saas.form.bean.dto.form.FormVersionDto;
import org.jangod.saas.form.bean.dto.gather.ApiFormGatherDto;
import org.jangod.saas.form.bean.dto.gather.FormGatherDto;
import org.jangod.saas.form.bean.dto.model.FormContentModelDto;
import org.jangod.saas.form.bean.entity.CfApp;
import org.jangod.saas.form.bean.entity.CfAppPermission;
import org.jangod.saas.form.bean.entity.CfApproveTodo;
import org.jangod.saas.form.bean.entity.CfCascade;
import org.jangod.saas.form.bean.entity.CfCommonField;
import org.jangod.saas.form.bean.entity.CfData;
import org.jangod.saas.form.bean.entity.CfDataAudit;
import org.jangod.saas.form.bean.entity.CfDict;
import org.jangod.saas.form.bean.entity.CfDictItem;
import org.jangod.saas.form.bean.entity.CfForm;
import org.jangod.saas.form.bean.entity.CfFormContent;
import org.jangod.saas.form.bean.entity.CfFormGather;
import org.jangod.saas.form.bean.entity.CfMean;
import org.jangod.saas.form.bean.entity.CfModel;
import org.jangod.saas.form.bean.entity.CfNativejs;
import org.jangod.saas.form.bean.entity.CfWidget;
import org.jangod.saas.form.bean.entity.CfWidgetCloud;
import org.jangod.saas.form.bean.vo.api.CFormTokenVo;
import org.jangod.saas.form.bean.vo.api.DictServiceVo;
import org.jangod.saas.form.bean.vo.approve.ApiApproveTodoVo;
import org.jangod.saas.form.bean.vo.cascade.CascadeHistoryInfoVo;
import org.jangod.saas.form.bean.vo.cascade.CascadeInfoVo;
import org.jangod.saas.form.bean.vo.cascade.CascadeServiceVo;
import org.jangod.saas.form.bean.vo.data.DataAuditVo;
import org.jangod.saas.form.bean.vo.data.DataVo;
import org.jangod.saas.form.bean.vo.data.FormDataVo;
import org.jangod.saas.form.bean.vo.data.ValidateFormDataVo;
import org.jangod.saas.form.bean.vo.dict.DictHistoryInfoVo;
import org.jangod.saas.form.bean.vo.dict.DictInfoVo;
import org.jangod.saas.form.bean.vo.file.FileVo;
import org.jangod.saas.form.bean.vo.form.FormContentVo;
import org.jangod.saas.form.bean.vo.form.FormHistoryInfoVo;
import org.jangod.saas.form.bean.vo.form.FormInfoVo;
import org.jangod.saas.form.bean.vo.form.FormVersionVo;
import org.jangod.saas.form.bean.vo.gather.FormGatherDataVo;
import org.jangod.saas.form.bean.vo.gather.FormGatherVo;
import org.jangod.saas.form.bean.vo.mean.CommonFieldVo;
import org.jangod.saas.form.bean.vo.mean.MeanVo;
import org.jangod.saas.form.bean.vo.mode.ModelServiceVo;
import org.jangod.saas.form.bean.vo.mode.ModelVo;
import org.jangod.saas.form.bean.vo.template.FieldListVo;
import org.jangod.saas.form.bean.vo.widget.NativeWidgetsVo;
import org.jangod.saas.form.bean.vo.widget.WidgetCloudVo;
import org.jangod.saas.form.bean.vo.widget.WidgetHistoryInfoVo;
import org.jangod.saas.form.properties.App;
import org.jangod.saas.form.properties.FormProperties;
import org.jangod.saas.form.service.ICfApiConfigService;
import org.jangod.saas.form.service.ICfAppPermissionService;
import org.jangod.saas.form.service.ICfAppService;
import org.jangod.saas.form.service.ICfApproveTodoService;
import org.jangod.saas.form.service.ICfCascadeItemService;
import org.jangod.saas.form.service.ICfCascadeService;
import org.jangod.saas.form.service.ICfCommonFieldService;
import org.jangod.saas.form.service.ICfDataAuditService;
import org.jangod.saas.form.service.ICfDataService;
import org.jangod.saas.form.service.ICfDictItemService;
import org.jangod.saas.form.service.ICfDictService;
import org.jangod.saas.form.service.ICfFormContentService;
import org.jangod.saas.form.service.ICfFormGatherService;
import org.jangod.saas.form.service.ICfFormService;
import org.jangod.saas.form.service.ICfMeanService;
import org.jangod.saas.form.service.ICfModelService;
import org.jangod.saas.form.service.ICfNativejsService;
import org.jangod.saas.form.service.ICfTemplateService;
import org.jangod.saas.form.service.ICfWidgetCloudService;
import org.jangod.saas.form.service.ICfWidgetService;
import org.jangod.saas.form.utils.ApiJsonUtil;
import org.jangod.saas.form.utils.FormUtils;
import org.jangod.saas.form.utils.RoleUtil;
import org.jangod.saas.form.utils.webdisk.WebDiskUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.FileCopyUtils;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@Api(value = "表单第三方对接接口", tags = {"表单第三方对接接口"})
@RequestMapping({"/form/service/"})
@RestController
/* loaded from: CfFormApiController.class */
public class CfFormApiController extends AbstractController {
    private static final Logger log = LoggerFactory.getLogger(CfFormApiController.class);

    @Autowired
    private App app;

    @Autowired
    private ICfAppService iCfAppService;

    @Autowired
    private BspService bspService;

    @Autowired
    private ICfAppPermissionService iCfAppPermissionService;

    @Autowired
    private ICfFormService iCfFormService;

    @Autowired
    private ICfFormContentService iCfFormContentService;

    @Autowired
    private ICfDataService iCfDataService;

    @Autowired
    private ICfDataAuditService iCfDataAuditService;

    @Autowired
    private ICfDictService iCfDictService;

    @Autowired
    private ICfCascadeItemService iCfCascadeItemService;

    @Autowired
    private ICfModelService iCfModelService;

    @Autowired
    private ICfWidgetService iCfWidgetService;

    @Autowired
    private ICfWidgetCloudService iCfWidgetCloudService;

    @Autowired
    private ICfCommonFieldService iCfCommonFieldService;

    @Autowired
    private ICfMeanService iCfMeanService;

    @Autowired
    private ICfCascadeService iCfCascadeService;

    @Autowired
    private ICfTemplateService iCfTemplateService;

    @Autowired
    private ICfDictItemService iCfDictItemService;

    @Autowired
    private ICfFormGatherService iCfFormGatherService;

    @Autowired
    private ICfNativejsService iCfNativejsService;

    @Autowired
    private ApiUtil apiUtil;

    @Autowired
    private ICfApiConfigService iCfApiConfigService;

    @Autowired
    private FormUtils formUtils;

    @Autowired
    private WebDiskUtil webDiskUtil;

    @Autowired
    private AppProperties appProperties;

    @Autowired
    private FormProperties properties;

    @Autowired
    private RoleUtil roleUtil;

    @Autowired
    private ICfApproveTodoService iCfApproveTodoService;

    @Autowired
    private ApiJsonUtil apiJsonUtil;

    private static /* synthetic */ Object $deserializeLambda$(SerializedLambda lambda) {
        String implMethodName = lambda.getImplMethodName();
        boolean z = -1;
        switch (implMethodName.hashCode()) {
            case -2126571984:
                if (implMethodName.equals("getObjectId")) {
                    z = 13;
                    break;
                }
                break;
            case -1874117639:
                if (implMethodName.equals("getFormVersionId")) {
                    z = 25;
                    break;
                }
                break;
            case -1857629232:
                if (implMethodName.equals("getFormGatherId")) {
                    z = 17;
                    break;
                }
                break;
            case -1708575263:
                if (implMethodName.equals("getDelFlag")) {
                    z = 3;
                    break;
                }
                break;
            case -1422423102:
                if (implMethodName.equals("getCompanyId")) {
                    z = 27;
                    break;
                }
                break;
            case -1202052905:
                if (implMethodName.equals("getLastModifitionTime")) {
                    z = 8;
                    break;
                }
                break;
            case -1082441534:
                if (implMethodName.equals("getCreationTime")) {
                    z = 28;
                    break;
                }
                break;
            case -873821119:
                if (implMethodName.equals("getCommonFieldTag")) {
                    z = 23;
                    break;
                }
                break;
            case -829432019:
                if (implMethodName.equals("getExternalAppCode")) {
                    z = 20;
                    break;
                }
                break;
            case -820788161:
                if (implMethodName.equals("getFormDataId")) {
                    z = 24;
                    break;
                }
                break;
            case -620461122:
                if (implMethodName.equals("getFormGatherVersionId")) {
                    z = 29;
                    break;
                }
                break;
            case -213245974:
                if (implMethodName.equals("getOptTime")) {
                    z = 19;
                    break;
                }
                break;
            case -75622813:
                if (implMethodName.equals("getCode")) {
                    z = 18;
                    break;
                }
                break;
            case -75308287:
                if (implMethodName.equals("getName")) {
                    z = 2;
                    break;
                }
                break;
            case -75106384:
                if (implMethodName.equals("getType")) {
                    z = 26;
                    break;
                }
                break;
            case -36379238:
                if (implMethodName.equals("getSortOrder")) {
                    z = 10;
                    break;
                }
                break;
            case 62709489:
                if (implMethodName.equals("getApproveType")) {
                    z = 9;
                    break;
                }
                break;
            case 98245393:
                if (implMethodName.equals("getId")) {
                    z = 5;
                    break;
                }
                break;
            case 318285786:
                if (implMethodName.equals("getBusiId")) {
                    z = 21;
                    break;
                }
                break;
            case 360688950:
                if (implMethodName.equals("getDeptId")) {
                    z = 4;
                    break;
                }
                break;
            case 363995751:
                if (implMethodName.equals("getDictId")) {
                    z = 16;
                    break;
                }
                break;
            case 427235317:
                if (implMethodName.equals("getFormId")) {
                    z = true;
                    break;
                }
                break;
            case 614031126:
                if (implMethodName.equals("getIsExternalApp")) {
                    z = 12;
                    break;
                }
                break;
            case 678698997:
                if (implMethodName.equals("getWidgetId")) {
                    z = false;
                    break;
                }
                break;
            case 803533544:
                if (implMethodName.equals("getStatus")) {
                    z = 7;
                    break;
                }
                break;
            case 930313785:
                if (implMethodName.equals("getBusiType")) {
                    z = 6;
                    break;
                }
                break;
            case 960394481:
                if (implMethodName.equals("getApproveObjectId")) {
                    z = 14;
                    break;
                }
                break;
            case 998782639:
                if (implMethodName.equals("getCategoryId")) {
                    z = 22;
                    break;
                }
                break;
            case 1948853606:
                if (implMethodName.equals("getAppId")) {
                    z = 11;
                    break;
                }
                break;
            case 1966196898:
                if (implMethodName.equals("getTitle")) {
                    z = 15;
                    break;
                }
                break;
        }
        switch (z) {
            case false:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfWidgetCloud") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getWidgetId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfModel") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getFormId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getName();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getName();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getName();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getName();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfFormGather") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDelFlag();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDelFlag();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDelFlag();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDelFlag();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDelFlag();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDeptId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDeptId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDeptId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDeptId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDeptId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDeptId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfCascade") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDeptId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDict") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDeptId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDeptId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfWidget") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDeptId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfWidgetCloud") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfWidgetCloud") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfWidgetCloud") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfCascade") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDict") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfCascade") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDict") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfWidget") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getBusiType();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDictItem") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfWidgetCloud") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfMean") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfCascade") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDict") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getStatus();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfModel") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfCommonField") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfCascade") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfCascade") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDict") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDict") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfWidget") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfWidget") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getLastModifitionTime();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getApproveType();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getApproveType();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getApproveType();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDictItem") && lambda.getImplMethodSignature().equals("()Ljava/lang/Integer;")) {
                    return (v0) -> {
                        return v0.getSortOrder();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfAppPermission") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getAppId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfAppPermission") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getAppId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfAppPermission") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getAppId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getIsExternalApp();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getIsExternalApp();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfAppPermission") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getObjectId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfAppPermission") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getObjectId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfAppPermission") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getObjectId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfAppPermission") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getObjectId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getApproveObjectId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getApproveObjectId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getApproveObjectId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getTitle();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDictItem") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getDictId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfFormGather") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getFormGatherId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApp") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCode();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApp") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCode();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfMean") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCode();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDataAudit") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getOptTime();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getExternalAppCode();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getExternalAppCode();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getBusiId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCategoryId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfCommonField") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCommonFieldTag();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfDataAudit") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getFormDataId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfModel") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getFormVersionId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getType();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getType();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getType();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getType();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getType();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCompanyId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCompanyId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCompanyId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfForm") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCompanyId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfCommonField") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCompanyId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfNativejs") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCompanyId();
                    };
                }
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getCompanyId();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfApproveTodo") && lambda.getImplMethodSignature().equals("()Ljava/util/Date;")) {
                    return (v0) -> {
                        return v0.getCreationTime();
                    };
                }
                break;
            case true:
                if (lambda.getImplMethodKind() == 5 && lambda.getFunctionalInterfaceClass().equals("com/baomidou/mybatisplus/core/toolkit/support/SFunction") && lambda.getFunctionalInterfaceMethodName().equals("apply") && lambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;)Ljava/lang/Object;") && lambda.getImplClass().equals("org/jangod/saas/form/bean/entity/CfFormGather") && lambda.getImplMethodSignature().equals("()Ljava/lang/String;")) {
                    return (v0) -> {
                        return v0.getFormGatherVersionId();
                    };
                }
                break;
        }
        throw new IllegalArgumentException("Invalid lambda deserialization");
    }

    @RequestMapping(value = {"/token"}, method = {RequestMethod.GET, RequestMethod.POST})
    @ApiImplicitParams({@ApiImplicitParam(name = "appCode", value = "应用编码", required = true, paramType = "String", dataType = "string"), @ApiImplicitParam(name = "userId", value = "用户id", required = true, paramType = "String", dataType = "string"), @ApiImplicitParam(name = "expires", value = "token有效时间，单位秒，默认半小时，最长六小时", paramType = "String", dataType = "string")})
    @ApiOperation("获取token")
    private ResultObject<CFormTokenVo> token(String appCode, @RequestParam(required = false) String userId, String expires) {
        if (StringUtil.isEmpty(appCode)) {
            return ResultUtil.errorToObject("应用编码不能为空");
        }
        if (StringUtil.isEmpty(userId)) {
            return ResultUtil.errorToObject("用户id不能为空");
        }
        int expiresIn = 1800;
        if (StringUtil.isNotBlank(expires)) {
            expiresIn = Integer.parseInt(expires);
            if (expiresIn > 21600) {
                expiresIn = 21600;
            }
        }
        String accessToken = Tools.getUUID32();
        CFormTokenDto cFormTokenDto = new CFormTokenDto();
        cFormTokenDto.setAccessToken(accessToken);
        cFormTokenDto.setAppCode(appCode);
        cFormTokenDto.setUserId(userId);
        cFormTokenDto.setExpiresIn(Integer.valueOf(expiresIn));
        CacheManager.set("CFORM_ACCESS_TOKEN", accessToken, cFormTokenDto, Integer.valueOf(expiresIn));
        CFormTokenVo cFormTokenVo = new CFormTokenVo();
        cFormTokenVo.setAccessToken(accessToken);
        cFormTokenVo.setExpiresIn(Integer.valueOf(expiresIn));
        return ResultUtil.successToObject(cFormTokenVo);
    }

    @PostMapping({"/preview"})
    @ApiImplicitParams({@ApiImplicitParam(name = "content", value = "普通表单内容，聚合表单为聚合的表单保存json字符串", required = true, dataType = "string"), @ApiImplicitParam(name = "type", value = "1：普通表单，2：聚合表单", required = true, dataType = "string")})
    @ApiOperation("预览获取临时ID")
    public ResultObject<String> preview(String content, String type) {
        JSONObject obj = new JSONObject();
        if ("2".equals(type)) {
            FormGatherDto formGatherDto = (FormGatherDto) JSONObject.parseObject(content, FormGatherDto.class);
            if (Objects.isNull(formGatherDto)) {
                throw new BusiException("请传递需聚合的表单ID");
            }
            List<FormVersionDto> gatherRelations = formGatherDto.getGatherRelations();
            if (CollectionUtils.isEmpty(gatherRelations)) {
                throw new BusiException("请传递需聚合的表单ID");
            }
            List<String> formIds = (List) gatherRelations.stream().map((v0) -> {
                return v0.getFormId();
            }).collect(Collectors.toList());
            formIds.sort((v0, v1) -> {
                return v0.compareTo(v1);
            });
            QueryWrapper<CfForm> formQueryWrapper = new QueryWrapper<>();
            formQueryWrapper.lambda().in((v0) -> {
                return v0.getId();
            }, formIds);
            List<CfForm> cfForms = this.iCfFormService.list(formQueryWrapper);
            if (CollectionUtils.isEmpty(cfForms) || cfForms.size() != formIds.size()) {
                throw new BusiException("聚合的表单ID不存在");
            }
            List<FormVersionDto> formGathers = new ArrayList<>();
            cfForms.forEach(cfForm -> {
                if (StringUtils.isEmpty(cfForm.getPublishVersionId())) {
                    throw new BusiException("聚合的表单" + cfForm.getId() + "未发布");
                }
                if (!cfForm.getType().equals("1")) {
                    throw new BusiException("聚合的表单只能关联普通表单");
                }
                FormVersionDto formVersionDto = new FormVersionDto();
                formVersionDto.setFormId(cfForm.getId());
                formVersionDto.setFormVersionId(cfForm.getPublishVersionId());
                formGathers.add(formVersionDto);
            });
            formGatherDto.setCfForms(cfForms);
            formGatherDto.setGatherRelations(formGathers);
            content = this.formUtils.formGather(formGatherDto);
            obj.put("gatherType", formGatherDto.getGatherType());
        }
        String accessToken = Tools.getUUID32();
        obj.put("type", type);
        obj.put("content", content);
        CacheManager.set("CFORM_PREVIEW", accessToken, obj.toJSONString(), 1800);
        return ResultUtil.successToObject(accessToken);
    }

    @PostMapping({"/previewContent"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "id", value = "临时ID", required = true, dataType = "string")})
    @ApiOperation("根据临时ID获取content")
    public ResultObject previewContent(String accessToken, String id) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        return ResultUtil.successToObject(CacheManager.get("CFORM_PREVIEW", id));
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "formId", value = "表单Id", dataType = "String", required = false), @ApiImplicitParam(name = "formVersionId", value = "表单版本ID", dataType = "query", required = false)})
    @GetMapping({"/info"})
    @ApiOperation("根据Id查询表单")
    public ResultObject<FormContentVo> info(String accessToken, String formId, @RequestParam(required = false) String formVersionId) {
        CfForm cfForm;
        CfFormContent cfFormContent;
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormId(formId);
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        if (StringUtil.isNotEmpty(formVersionId)) {
            cfFormContent = (CfFormContent) this.iCfFormContentService.getById(formVersionId);
            if (Objects.isNull(cfFormContent)) {
                return ResultUtil.errorToObject("未找到表单内容");
            }
            cfForm = (CfForm) this.iCfFormService.getById(cfFormContent.getFormId());
        } else {
            if (StringUtil.isEmpty(formId)) {
                return ResultUtil.errorToObject("请正确传值");
            }
            cfForm = (CfForm) this.iCfFormService.getById(formId);
            if (Objects.isNull(cfForm)) {
                return ResultUtil.errorToObject("未找到表单");
            }
            formVersionId = cfForm.getPublishVersionId();
            cfFormContent = (CfFormContent) this.iCfFormContentService.getById(cfForm.getPublishVersionId());
            if (Objects.isNull(cfFormContent)) {
                return ResultUtil.errorToObject("未找到表单内容");
            }
        }
        if (Objects.isNull(cfForm)) {
            return ResultUtil.errorToObject("未找到表单");
        }
        if ("1".equals(cfForm.getDelFlag())) {
            return ResultUtil.errorToObject("表单无效");
        }
        cfForm.setPublishVersionId(cfFormContent.getId());
        cfForm.setPublishVersionName(cfFormContent.getName());
        FormContentVo formContentVo = (FormContentVo) RelationsBinder.convertAndBind(cfForm, FormContentVo.class);
        formContentVo.setContent(cfFormContent.getContent());
        if (cfForm.getType().equals("2")) {
            CfFormGather one = (CfFormGather) this.iCfFormGatherService.getOne((Wrapper) ((LambdaQueryWrapper) ((LambdaQueryWrapper) new LambdaQueryWrapper().eq((v0) -> {
                return v0.getFormGatherId();
            }, cfForm.getId())).eq((v0) -> {
                return v0.getFormGatherVersionId();
            }, formVersionId)).eq((v0) -> {
                return v0.getDelFlag();
            }, "0"));
            formContentVo.setGatherType(one.getGatherType());
        }
        return ResultUtil.successToObject(formContentVo);
    }

    @PostMapping({"/cloudRepeat"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "widgetClouds", value = "云端组件列表", paramType = "body", required = true, dataType = "map", example = "[{\"widgetCloudId\":\"\",\"widgetCloudVersionId\":\"\"}]")})
    @ApiOperation("根据云端组件id及版本ID集合获取去重内容信息")
    public ResultObject cloudRepeat(String accessToken, @RequestBody List<Map<String, String>> widgetClouds) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        JSONObject obj = new JSONObject();
        if (CollectionUtils.isNotEmpty(widgetClouds)) {
            QueryWrapper<CfWidgetCloud> queryWrapper = new QueryWrapper<>();
            for (Map<String, String> map : widgetClouds) {
                String widgetCloudId = map.get("widgetCloudId");
                String widgetCloudVersionId = map.get("widgetCloudVersionId");
                queryWrapper.lambda().or(i -> {
                });
            }
            List<CfWidgetCloud> widgetCloudList = this.iCfWidgetCloudService.list(queryWrapper);
            for (CfWidgetCloud widgetCloud : widgetCloudList) {
                obj.put(widgetCloud.getWidgetId() + "_" + widgetCloud.getId(), widgetCloud.getContent());
            }
        }
        return ResultUtil.successToObject(obj);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "formDataId", value = "表单数据Id", dataType = "query", required = true)})
    @GetMapping({"/formData"})
    @ApiOperation("根据数据id获取表单数据")
    public ResultObject<DataVo> formData(String accessToken, @RequestParam("formDataId") String formDataId) {
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormDataId(formDataId);
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        DataVo dataVo = this.iCfDataService.info(formDataId, (String) null, this.request, ((CFormTokenDto) validateAccessToken.getRow()).getAppCode());
        return ResultUtil.successToObject(dataVo);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "formDataId", value = "表单数据Id", dataType = "query", required = true)})
    @GetMapping({"/formMeanCodeData"})
    @ApiOperation("根据数据id获取表单数据(业务域含义)")
    public ResultObject<DataVo> formMeanCodeData(String accessToken, @RequestParam("formDataId") String formDataId) {
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormDataId(formDataId);
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        DataVo dataVo = this.iCfDataService.info3(formDataId, (String) null, this.request, ((CFormTokenDto) validateAccessToken.getRow()).getAppCode());
        return ResultUtil.successToObject(dataVo);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "formDataId", value = "表单数据Id", dataType = "query", required = true)})
    @GetMapping({"/formData2"})
    @ApiOperation("根据数据id获取表单数据2（此接口可返回子表单完整数据）")
    public ResultObject<DataVo> formData2(String accessToken, @RequestParam("formDataId") String formDataId) {
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormDataId(formDataId);
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        DataVo dataVo = this.iCfDataService.info2(formDataId, (String) null, this.request, ((CFormTokenDto) validateAccessToken.getRow()).getAppCode());
        return ResultUtil.successToObject(dataVo);
    }

    @PostMapping({"/validateFormData"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true)})
    @ApiOperation("表单数据校验")
    public ResultObject<ValidateFormDataVo> valiformData(String accessToken, @RequestBody ValidateFormDataDto validateFormDataDto) {
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormId(validateFormDataDto.getFormId());
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        ValidateFormDataVo validateFormDataVo = this.iCfDataService.verification(validateFormDataDto);
        return ResultUtil.successToObject(validateFormDataVo);
    }

    @PostMapping({"/submit"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true)})
    @ApiOperation("ID模式表单提交")
    public ResultObject<FormDataVo> submit(String accessToken, @RequestBody FormDataDto formData, HttpServletRequest request) {
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormId(formData.getFormId());
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        if (StringUtil.isEmpty(((CFormTokenDto) validateAccessToken.getRow()).getUserId())) {
            return ResultUtil.errorToObject("提交人不能为空");
        }
        if (StringUtil.isEmpty(formData.getStatus())) {
            return ResultUtil.errorToObject("数据状态不能为空");
        }
        if (!"1".equals(formData.getStatus()) && !"0".equals(formData.getStatus())) {
            return ResultUtil.errorToObject("数据状态传值不正确");
        }
        CFormTokenDto cFormTokenDto = (CFormTokenDto) validateAccessToken.getRow();
        formData.setAppCode(cFormTokenDto.getAppCode());
        if (StringUtil.isNotEmpty(cFormTokenDto.getUserId())) {
            formData.setUserId(cFormTokenDto.getUserId());
        }
        formData.setType("1");
        CfData cfData = this.iCfDataService.submit(formData, request);
        FormDataVo formDataVo = (FormDataVo) RelationsBinder.convertAndBind(cfData, FormDataVo.class);
        return ResultUtil.successToObject(formDataVo);
    }

    @PostMapping({"/submitCode"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true)})
    @ApiOperation("code模式表单提交")
    public ResultObject<FormDataVo> submitCode(String accessToken, @RequestBody FormDataDto formData, HttpServletRequest request) {
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormId(formData.getFormId());
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        if (StringUtil.isEmpty(((CFormTokenDto) validateAccessToken.getRow()).getUserId())) {
            return ResultUtil.errorToObject("提交人不能为空");
        }
        if (StringUtil.isEmpty(formData.getStatus())) {
            return ResultUtil.errorToObject("数据状态不能为空");
        }
        if (!"1".equals(formData.getStatus()) && !"0".equals(formData.getStatus())) {
            return ResultUtil.errorToObject("数据状态传值不正确");
        }
        CFormTokenDto cFormTokenDto = (CFormTokenDto) validateAccessToken.getRow();
        formData.setAppCode(cFormTokenDto.getAppCode());
        formData.setType("2");
        if (StringUtil.isNotEmpty(cFormTokenDto.getUserId())) {
            formData.setUserId(cFormTokenDto.getUserId());
        }
        CfData cfData = this.iCfDataService.submit(formData, request);
        FormDataVo formDataVo = (FormDataVo) RelationsBinder.convertAndBind(cfData, FormDataVo.class);
        return ResultUtil.successToObject(formDataVo);
    }

    @PostMapping({"/submitCodeNoValidate"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true)})
    @ApiOperation("code模式表单提交")
    public ResultObject<FormDataVo> submitCodeNoValidate(String accessToken, @RequestBody FormDataDto formData, HttpServletRequest request) {
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormId(formData.getFormId());
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        if (StringUtil.isEmpty(((CFormTokenDto) validateAccessToken.getRow()).getUserId())) {
            return ResultUtil.errorToObject("提交人不能为空");
        }
        if (StringUtil.isEmpty(formData.getStatus())) {
            return ResultUtil.errorToObject("数据状态不能为空");
        }
        if (!"1".equals(formData.getStatus()) && !"0".equals(formData.getStatus())) {
            return ResultUtil.errorToObject("数据状态传值不正确");
        }
        CFormTokenDto cFormTokenDto = (CFormTokenDto) validateAccessToken.getRow();
        formData.setAppCode(cFormTokenDto.getAppCode());
        formData.setType("2");
        if (StringUtil.isNotEmpty(cFormTokenDto.getUserId())) {
            formData.setUserId(cFormTokenDto.getUserId());
        }
        CfData cfData = this.iCfDataService.submitNoValidate(formData, request);
        FormDataVo formDataVo = (FormDataVo) RelationsBinder.convertAndBind(cfData, FormDataVo.class);
        return ResultUtil.successToObject(formDataVo);
    }

    @PostMapping({"/formList"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "companyId", value = "公司id", dataType = "String", required = true), @ApiImplicitParam(name = "deptId", value = "部门编码", dataType = "String"), @ApiImplicitParam(name = "name", value = "表单名称", dataType = "String"), @ApiImplicitParam(name = "status", value = "状态(0:暂存 1:待审核 2:审核通过 3:驳回)", dataType = "String"), @ApiImplicitParam(name = "type", value = "表单类型(1:普通表单，2:聚合)", dataType = "String"), @ApiImplicitParam(name = "formId", value = "表单ID", dataType = "String", required = false), @ApiImplicitParam(name = "page", value = "第几页", required = true, paramType = "query", dataType = "int", example = "1"), @ApiImplicitParam(name = "rows", value = "页大小", required = true, paramType = "query", dataType = "int", example = "10")})
    @ApiOperation("获取表单列表")
    public ResultList<FormInfoVo> formList(@RequestParam String companyId, @RequestParam String accessToken, @RequestParam(required = false) String name, @RequestParam(required = false) String type, @RequestParam(required = false) String status, @RequestParam(required = false) String deptId, @RequestParam Integer page, @RequestParam Integer rows, @RequestParam(required = false) String formId) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        CFormTokenDto cFormTokenDto = (CFormTokenDto) CacheManager.get("CFORM_ACCESS_TOKEN", accessToken);
        String appCode = cFormTokenDto.getAppCode();
        List<String> objIds = new ArrayList<>();
        String PType = "";
        if (StringUtil.isNotEmpty(appCode)) {
            QueryWrapper<CfApp> queryWrapper = new QueryWrapper<>();
            queryWrapper.lambda().eq((v0) -> {
                return v0.getCode();
            }, appCode);
            CfApp cfApp = (CfApp) this.iCfAppService.getOne(queryWrapper);
            if (Objects.isNull(cfApp)) {
                return ResultUtil.errorToList("该应用" + appCode + "没有权限，请联系管理员");
            }
            PType = cfApp.getType();
            if (!"all".equals(PType)) {
                String cfAppId = cfApp.getId();
                QueryWrapper<CfAppPermission> permissionQuery = new QueryWrapper<>();
                permissionQuery.lambda().eq((v0) -> {
                    return v0.getAppId();
                }, cfAppId);
                List<CfAppPermission> permissions = this.iCfAppPermissionService.list(permissionQuery);
                objIds = (List) permissions.stream().map((v0) -> {
                    return v0.getObjectId();
                }).collect(Collectors.toList());
            }
        }
        if (StringUtil.isNotEmpty(companyId)) {
            ResultUtil.errorToObject("公司ID不能为空");
        }
        QueryWrapper<CfForm> formQueryWrapper = new QueryWrapper<>();
        if (StringUtil.isNotEmpty(name)) {
            formQueryWrapper.lambda().like((v0) -> {
                return v0.getName();
            }, name);
        }
        if (StringUtil.isNotEmpty(deptId)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getDeptId();
            }, deptId);
        }
        if (StringUtil.isNotEmpty(type)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getType();
            }, type);
        }
        if (StringUtil.isNotEmpty(status)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getStatus();
            }, status);
        }
        PageHelper.startPage(page.intValue(), rows.intValue());
        ((LambdaQueryWrapper) ((LambdaQueryWrapper) formQueryWrapper.lambda().eq((v0) -> {
            return v0.getCompanyId();
        }, companyId)).eq((v0) -> {
            return v0.getDelFlag();
        }, "0")).eq(StringUtil.isNotEmpty(formId), (v0) -> {
            return v0.getId();
        }, formId).orderByDesc((v0) -> {
            return v0.getLastModifitionTime();
        });
        if ("cform".equals(PType)) {
            formQueryWrapper.lambda().in(CollectionUtils.isNotEmpty(objIds), (v0) -> {
                return v0.getId();
            }, objIds);
        } else if ("dept".equals(PType)) {
            formQueryWrapper.lambda().in(CollectionUtils.isNotEmpty(objIds), (v0) -> {
                return v0.getDeptId();
            }, objIds);
        } else if ("app".equals(PType)) {
            ((LambdaQueryWrapper) formQueryWrapper.lambda().eq((v0) -> {
                return v0.getIsExternalApp();
            }, "1")).eq((v0) -> {
                return v0.getExternalAppCode();
            }, appCode);
        }
        List<CfForm> formList = this.iCfFormService.list(formQueryWrapper);
        List<FormInfoVo> formInfoVos = RelationsBinder.convertAndBind(formList, FormInfoVo.class);
        return ResultUtil.successToList(formInfoVos);
    }

    @PostMapping({"/formListByCategrory"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "companyId", value = "公司id", dataType = "String", required = true), @ApiImplicitParam(name = "deptId", value = "部门编码", dataType = "String"), @ApiImplicitParam(name = "categoryId", value = "分类编码", dataType = "String"), @ApiImplicitParam(name = "name", value = "表单名称", dataType = "String"), @ApiImplicitParam(name = "status", value = "状态(0:暂存 1:待审核 2:审核通过 3:驳回)", dataType = "String"), @ApiImplicitParam(name = "type", value = "表单类型(1:普通表单，2:聚合)", dataType = "String"), @ApiImplicitParam(name = "formId", value = "表单ID", dataType = "String", required = false), @ApiImplicitParam(name = "page", value = "第几页", required = true, paramType = "query", dataType = "int", example = "1"), @ApiImplicitParam(name = "rows", value = "页大小", required = true, paramType = "query", dataType = "int", example = "10")})
    @ApiOperation("获取表单列表，扩展参数")
    public ResultList<FormInfoVo> formListByCategrory(@RequestParam String companyId, @RequestParam String accessToken, @RequestParam String categoryId, @RequestParam(required = false) String name, @RequestParam(required = false) String type, @RequestParam(required = false) String status, @RequestParam(required = false) String deptId, @RequestParam Integer page, @RequestParam Integer rows, @RequestParam(required = false) String formId) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        CFormTokenDto cFormTokenDto = (CFormTokenDto) CacheManager.get("CFORM_ACCESS_TOKEN", accessToken);
        String appCode = cFormTokenDto.getAppCode();
        List<String> objIds = new ArrayList<>();
        String PType = "";
        if (StringUtil.isNotEmpty(appCode)) {
            QueryWrapper<CfApp> queryWrapper = new QueryWrapper<>();
            queryWrapper.lambda().eq((v0) -> {
                return v0.getCode();
            }, appCode);
            CfApp cfApp = (CfApp) this.iCfAppService.getOne(queryWrapper);
            if (Objects.isNull(cfApp)) {
                return ResultUtil.errorToList("该应用" + appCode + "没有权限，请联系管理员");
            }
            PType = cfApp.getType();
            if (!"all".equals(PType)) {
                String cfAppId = cfApp.getId();
                QueryWrapper<CfAppPermission> permissionQuery = new QueryWrapper<>();
                permissionQuery.lambda().eq((v0) -> {
                    return v0.getAppId();
                }, cfAppId);
                List<CfAppPermission> permissions = this.iCfAppPermissionService.list(permissionQuery);
                objIds = (List) permissions.stream().map((v0) -> {
                    return v0.getObjectId();
                }).collect(Collectors.toList());
            }
        }
        if (StringUtil.isNotEmpty(companyId)) {
            ResultUtil.errorToObject("公司ID不能为空");
        }
        QueryWrapper<CfForm> formQueryWrapper = new QueryWrapper<>();
        if (StringUtil.isNotEmpty(name)) {
            formQueryWrapper.lambda().like((v0) -> {
                return v0.getName();
            }, name);
        }
        if (StringUtil.isNotEmpty(categoryId)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getCategoryId();
            }, categoryId);
        }
        if (StringUtil.isNotEmpty(deptId)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getDeptId();
            }, deptId);
        }
        if (StringUtil.isNotEmpty(type)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getType();
            }, type);
        }
        if (StringUtil.isNotEmpty(status)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getStatus();
            }, status);
        }
        PageHelper.startPage(page.intValue(), rows.intValue());
        ((LambdaQueryWrapper) ((LambdaQueryWrapper) formQueryWrapper.lambda().eq((v0) -> {
            return v0.getCompanyId();
        }, companyId)).eq((v0) -> {
            return v0.getDelFlag();
        }, "0")).eq(StringUtil.isNotEmpty(formId), (v0) -> {
            return v0.getId();
        }, formId).orderByDesc((v0) -> {
            return v0.getLastModifitionTime();
        });
        if ("cform".equals(PType)) {
            formQueryWrapper.lambda().in(CollectionUtils.isNotEmpty(objIds), (v0) -> {
                return v0.getId();
            }, objIds);
        } else if ("dept".equals(PType)) {
            formQueryWrapper.lambda().in(CollectionUtils.isNotEmpty(objIds), (v0) -> {
                return v0.getDeptId();
            }, objIds);
        } else if ("app".equals(PType)) {
            ((LambdaQueryWrapper) formQueryWrapper.lambda().eq((v0) -> {
                return v0.getIsExternalApp();
            }, "1")).eq((v0) -> {
                return v0.getExternalAppCode();
            }, appCode);
        }
        List<CfForm> formList = this.iCfFormService.list(formQueryWrapper);
        List<FormInfoVo> formInfoVos = RelationsBinder.convertAndBind(formList, FormInfoVo.class);
        return ResultUtil.successToList(formInfoVos);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "companyId", value = "公司id", dataType = "String", required = true), @ApiImplicitParam(name = "deptId", value = "部门编码", dataType = "String"), @ApiImplicitParam(name = "page", value = "第几页", required = true, paramType = "query", dataType = "int", example = "1"), @ApiImplicitParam(name = "rows", value = "页大小", required = true, paramType = "query", dataType = "int", example = "10")})
    @GetMapping({"/getFormList"})
    @ApiOperation("获取表单列表(打印模板)")
    public ResultList<FormInfoVo> getFormList(@RequestParam(required = false) String companyId, @RequestParam(required = false) String busiName, @RequestParam(required = false) String type, @RequestParam(required = false) String status, @RequestParam(required = false) String deptId, @RequestParam Integer page, @RequestParam Integer rows) {
        QueryWrapper<CfForm> formQueryWrapper = new QueryWrapper<>();
        if (StringUtil.isNotEmpty(busiName)) {
            formQueryWrapper.lambda().like((v0) -> {
                return v0.getName();
            }, busiName);
        }
        if (StringUtil.isNotEmpty(deptId)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getDeptId();
            }, deptId);
        }
        if (StringUtil.isNotEmpty(type)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getType();
            }, type);
        }
        if (StringUtil.isNotEmpty(status)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getStatus();
            }, status);
        }
        PageHelper.startPage(page.intValue(), rows.intValue());
        ((LambdaQueryWrapper) ((LambdaQueryWrapper) formQueryWrapper.lambda().eq(StringUtil.isNotEmpty(companyId), (v0) -> {
            return v0.getCompanyId();
        }, companyId).eq((v0) -> {
            return v0.getDelFlag();
        }, "0")).eq((v0) -> {
            return v0.getStatus();
        }, "2")).orderByDesc((v0) -> {
            return v0.getLastModifitionTime();
        });
        List<CfForm> formList = this.iCfFormService.list(formQueryWrapper);
        List<FormInfoVo> formInfoVos = RelationsBinder.convertAndBind(formList, FormInfoVo.class);
        return ResultUtil.successToList(formInfoVos);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "companyId", value = "公司id", dataType = "String", required = true), @ApiImplicitParam(name = "deptId", value = "部门编码", dataType = "String"), @ApiImplicitParam(name = "page", value = "第几页", required = true, paramType = "query", dataType = "int", example = "1"), @ApiImplicitParam(name = "rows", value = "页大小", required = true, paramType = "query", dataType = "int", example = "10")})
    @GetMapping({"/getGatherFormList"})
    @ApiOperation("获取聚合表单列表(打印模板)")
    public ResultList<FormInfoVo> getGatherFormList(@RequestParam(required = false) String companyId, @RequestParam(required = false) String busiName, @RequestParam(required = false) String type, @RequestParam(required = false) String status, @RequestParam(required = false) String deptId, @RequestParam Integer page, @RequestParam Integer rows) {
        QueryWrapper<CfForm> formQueryWrapper = new QueryWrapper<>();
        if (StringUtil.isNotEmpty(busiName)) {
            formQueryWrapper.lambda().like((v0) -> {
                return v0.getName();
            }, busiName);
        }
        if (StringUtil.isNotEmpty(deptId)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getDeptId();
            }, deptId);
        }
        if (StringUtil.isNotEmpty(type)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getType();
            }, type);
        }
        if (StringUtil.isNotEmpty(status)) {
            formQueryWrapper.lambda().eq((v0) -> {
                return v0.getStatus();
            }, status);
        }
        PageHelper.startPage(page.intValue(), rows.intValue());
        ((LambdaQueryWrapper) ((LambdaQueryWrapper) ((LambdaQueryWrapper) formQueryWrapper.lambda().eq(StringUtil.isNotEmpty(companyId), (v0) -> {
            return v0.getCompanyId();
        }, companyId).eq((v0) -> {
            return v0.getDelFlag();
        }, "0")).eq((v0) -> {
            return v0.getStatus();
        }, "2")).eq((v0) -> {
            return v0.getType();
        }, "2")).orderByDesc((v0) -> {
            return v0.getLastModifitionTime();
        });
        List<CfForm> formList = this.iCfFormService.list(formQueryWrapper);
        List<FormInfoVo> formInfoVos = RelationsBinder.convertAndBind(formList, FormInfoVo.class);
        return ResultUtil.successToList(formInfoVos);
    }

    @PostMapping({"/versionList"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "formId", value = "表单Id", dataType = "String", required = true), @ApiImplicitParam(name = "sort", value = "desc:降序，asc:升序(默认降序)", dataType = "String", required = true), @ApiImplicitParam(name = "page", value = "第几页", required = true, paramType = "query", dataType = "int", example = "1"), @ApiImplicitParam(name = "rows", value = "页大小", required = true, paramType = "query", dataType = "int", example = "10")})
    @ApiOperation("获取表单版本列表")
    public ResultList<FormVersionVo> versionList(String formId, String sort, String accessToken, @RequestParam Integer page, @RequestParam Integer rows) {
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormId(formId);
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        if (StringUtil.isEmpty(formId)) {
            return ResultUtil.errorToList("formId不能为空");
        }
        if (StringUtil.isEmpty(sort)) {
            sort = "desc";
        }
        PageHelper.startPage(page.intValue(), rows.intValue());
        List<FormVersionVo> versionVoList = this.iCfFormService.getFormVersionListByFormId(formId, sort);
        for (FormVersionVo formVersionVo : versionVoList) {
            JSONObject content = JSONObject.parseObject(formVersionVo.getContent());
            String name = content.getJSONObject("options").getString("name");
            formVersionVo.setFormName(name);
        }
        return ResultUtil.successToList(versionVoList);
    }

    @PostMapping({"/modelList"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "formId", value = "表单Id", dataType = "String", required = false), @ApiImplicitParam(name = "versionId", value = "表单版本Id", dataType = "String")})
    @ApiOperation("根据表单id获取模型列表")
    public ResultList<ModelServiceVo> modelList(String formId, String versionId, String accessToken) {
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormId(formId);
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        CfForm form = (CfForm) this.iCfFormService.getById(formId);
        if (Objects.isNull(form)) {
            return ResultUtil.errorToList("不存在该表单");
        }
        QueryWrapper<CfModel> modelQueryWrapper = new QueryWrapper<>();
        if (StringUtil.isEmpty(versionId)) {
            versionId = form.getPublishVersionId();
        } else {
            CfFormContent cfFormContent = (CfFormContent) this.iCfFormContentService.getById(versionId);
            if (ObjectUtils.isEmpty(cfFormContent)) {
                return ResultUtil.errorToList("请输入正确的版本ID");
            }
            if ("0".equals(cfFormContent.getStatus())) {
                return ResultUtil.errorToList("该版本未发布");
            }
        }
        ((LambdaQueryWrapper) ((LambdaQueryWrapper) modelQueryWrapper.lambda().eq((v0) -> {
            return v0.getFormVersionId();
        }, versionId)).eq((v0) -> {
            return v0.getFormId();
        }, formId)).orderByDesc((v0) -> {
            return v0.getLastModifitionTime();
        });
        List<CfModel> modelList = this.iCfModelService.list(modelQueryWrapper);
        if (CollectionUtils.isEmpty(modelList)) {
            return ResultUtil.errorToList("表单id和版本id有误");
        }
        List<ModelServiceVo> modelServiceVos = RelationsBinder.convertAndBind(modelList, ModelServiceVo.class);
        return ResultUtil.successToList(modelServiceVos);
    }

    @PostMapping({"/commonField"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "companyId", value = "公司id", dataType = "String", required = true)})
    @ApiOperation("获取常量列表")
    public ResultList<CommonFieldVo> commonField(String companyId, String accessToken, @RequestParam(required = false) String commonFieldTag) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        if (StringUtil.isNotEmpty(companyId)) {
            ResultUtil.errorToObject("公司ID不能为空");
        }
        QueryWrapper<CfCommonField> queryWrapper = new QueryWrapper<>();
        ((LambdaQueryWrapper) queryWrapper.lambda().eq((v0) -> {
            return v0.getCompanyId();
        }, companyId)).eq(StringUtil.isNotEmpty(commonFieldTag), (v0) -> {
            return v0.getCommonFieldTag();
        }, commonFieldTag).orderByDesc((v0) -> {
            return v0.getLastModifitionTime();
        });
        List<CfCommonField> list = this.iCfCommonFieldService.list(queryWrapper);
        List<CommonFieldVo> commonFieldVos = RelationsBinder.convertAndBind(list, CommonFieldVo.class);
        return ResultUtil.successToList(commonFieldVos);
    }

    @PostMapping({"/commonFieldObject"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "id", value = "常量id", dataType = "String", required = true)})
    @ApiOperation("获取常量数据")
    public ResultObject<CommonFieldVo> commonFieldObject(String id, String accessToken) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        CfCommonField commonField = (CfCommonField) this.iCfCommonFieldService.getById(id);
        CommonFieldVo commonFieldVo = (CommonFieldVo) RelationsBinder.convertAndBind(commonField, CommonFieldVo.class);
        return ResultUtil.successToObject(commonFieldVo);
    }

    @PostMapping({"/call"})
    @ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true)
    @ApiOperation("Api服务调用")
    public ResultList service(String accessToken, @RequestBody ServiceDto serviceDto) throws AepApiException {
        JSONArray apiCall = this.apiJsonUtil.getApiCallJson();
        JSONArray result = null;
        int size = apiCall.size();
        List<ServiceInputParam> list = serviceDto.getInputParams();
        int listSize = list.size();
        for (int i = 0; i < size; i++) {
            JSONObject item = apiCall.getJSONObject(i);
            if (item.getString("id").equals(serviceDto.getApiId())) {
                result = item.getJSONArray("rows");
                int resultLen = result.size();
                if (listSize > 0) {
                    int j = 0;
                    while (true) {
                        if (j < resultLen) {
                            JSONObject resultSub = result.getJSONObject(j);
                            if (!resultSub.containsKey(list.get(0).getCode()) || !list.get(0).getValue().equals(resultSub.getString(list.get(0).getCode()))) {
                                j++;
                            } else {
                                result = resultSub.getJSONArray("rows");
                                break;
                            }
                        }
                    }
                }
            }
        }
        if (result == null) {
            ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
            if (validateAccessToken.getState() == 0) {
                return ResultUtil.errorToList(validateAccessToken.getMessage());
            }
            String apiConfigId = serviceDto.getApiConfigId();
            JSONObject config = this.iCfApiConfigService.getApiConfig(apiConfigId);
            serviceDto.setAppKey(config.getString("appKey"));
            serviceDto.setAppSecret(config.getString("appSecret"));
            return this.apiUtil.getApiService().call(serviceDto);
        }
        return ResultUtil.successToList(result);
    }

    @PostMapping({"/publicValue"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "uid", value = "用户id", paramType = "query", dataType = "string", required = true)})
    @ApiOperation("获取表单公共变量值")
    public ResultObject publicValue(String accessToken, @RequestParam String uid) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        return ResultUtil.successToObject(this.apiUtil.getApiService().publicValue(uid));
    }

    @PostMapping({"/getApi"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "apiId", value = "apiId", dataType = "query", required = true)})
    @ApiOperation("根据服务id获取服务详情")
    public ResultObject Info(String accessToken, @RequestParam("apiId") String apiId) {
        ApiVo apiVo = null;
        List<ApiVo> list = this.apiJsonUtil.getApiVoList();
        int size = list.size();
        for (int i = 0; i < size; i++) {
            if (list.get(i).getId().equals(apiId)) {
                apiVo = list.get(i);
            }
        }
        if (apiVo == null) {
            ApiVo apiDetail = this.apiUtil.getApiService().getApiDetail(apiId);
            return ResultUtil.successToObject(apiDetail);
        }
        return ResultUtil.successToObject(apiVo);
    }

    @PostMapping({"/getUserInfo"})
    @ApiImplicitParams({@ApiImplicitParam(name = "certificateNumber", value = "身份证号", dataType = "query", required = true)})
    @ApiOperation("根据身份证号获取个人信息")
    @AepSecurity(enable = false)
    public ResultObject getUserInfo(@RequestParam String certificateNumber) {
        if (StringUtil.isEmpty(certificateNumber)) {
            return null;
        }
        if (certificateNumber.equals("qwertyuiop")) {
            throw new BusiException("错误信息。。。。");
        }
        String data = "{\n        \"address\":\"广东省茂名市电白区水东镇\",\n        \"certificateNumber\":\"440923198802080017\",\n        \"sex\":\"1\",\n        \"mobile\":\"13427204528\",\n        \"name\":\"王亮\",\n        \"id\":\"a67e2f554b064f238be588a228391097\",\n        \"userid\":\"bebc7c8839d7480f899cb54a49a03c2f\",\n        \"certificateType\":\"10\"\n    }";
        if (certificateNumber.equals("222")) {
            data = "{\n\t\t\"address\":\"广东省深圳市南山区深圳软件园\",\n\t\t\"certificateNumber\":\"421281199403062927\",\n\t\t\"sex\":\"0\",\n\t\t\"mobile\":\"13537840451\",\n\t\t\"name\":\"ouyangxue\",\n\t\t\"id\":\"34c20ed402914a96a30b68760e574c47\",\n\t\t\"userid\":\"0b6ae61b9c6a4c9d81c335df5f05f747\",\n\t\t\"certificateType\":\"10\"\n\t}";
        }
        if (certificateNumber.equals("421281199403062927")) {
            data = "{\n\t\t\"address\":\"广东省深圳市南山区深圳软件园\",\n\t\t\"certificateNumber\":\"421281199403062927\",\n\t\t\"sex\":\"0\",\n\t\t\"mobile\":\"13537840451\",\n\t\t\"name\":\"ouyangxue\",\n\t\t\"id\":\"34c20ed402914a96a30b68760e574c47\",\n\t\t\"userid\":\"0b6ae61b9c6a4c9d81c335df5f05f747\",\n\t\t\"certificateType\":\"10\"\n\t}";
        }
        JSONObject dataObj = JSONObject.parseObject(data);
        return ResultUtil.successToObject(dataObj);
    }

    @PostMapping({"/getCascadeInfo"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "id", value = "级联id", dataType = "String")})
    @ApiOperation("获取级联")
    public ResultList<CascadeServiceVo> getCascadeInfo(@RequestParam String accessToken, @RequestParam String id) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        List<CascadeServiceVo> cascadeServiceVos = (List) CacheManager.get("CFORM_CASCADE", id);
        if (Objects.isNull(cascadeServiceVos)) {
            cascadeServiceVos = this.iCfCascadeItemService.cascadeService(id);
            CacheManager.evict("CFORM_CASCADE", id);
            CacheManager.set("CFORM_CASCADE", id, cascadeServiceVos, 300);
        }
        return ResultUtil.successToList(cascadeServiceVos);
    }

    @PostMapping({"/getDictInfo"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "id", value = "字典ID", dataType = "String", required = true)})
    @ApiOperation("获取字典")
    public ResultList<DictServiceVo> getDictInfo(@RequestParam String accessToken, @RequestParam String id) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        List<DictServiceVo> dictItemVos = (List) CacheManager.get("CFORM_CASCADE", id);
        if (Objects.isNull(dictItemVos)) {
            CfDict dict = (CfDict) this.iCfDictService.getById(id);
            if (Objects.isNull(dict)) {
                return null;
            }
            QueryWrapper<CfDictItem> dictItemQuery = new QueryWrapper<>();
            ((LambdaQueryWrapper) ((LambdaQueryWrapper) dictItemQuery.lambda().eq((v0) -> {
                return v0.getDictId();
            }, dict.getId())).eq((v0) -> {
                return v0.getStatus();
            }, 1)).orderByAsc((v0) -> {
                return v0.getSortOrder();
            });
            List<CfDictItem> cfDictItems = this.iCfDictItemService.list(dictItemQuery);
            dictItemVos = BeanUtils.convertList(cfDictItems, DictServiceVo.class);
            CacheManager.evict("CFORM_DICT", id);
            CacheManager.set("CFORM_DICT", id, dictItemVos, 300);
        }
        return ResultUtil.successToList(dictItemVos);
    }

    @PostMapping({"/getOrgInfo"})
    @ApiImplicitParams({@ApiImplicitParam(name = "legalNo", value = "企业信用代码", dataType = "query", required = true)})
    @ApiOperation("根据企业信用代码获取企业信息")
    @AepSecurity(enable = false)
    public ResultObject getOrgInfo(@RequestParam String legalNo) {
        if (StringUtil.isEmpty(legalNo)) {
            return null;
        }
        if (legalNo.equals("qwertyuiop")) {
            throw new BusiException("错误信息。。。。");
        }
        JSONObject dataObj = JSONObject.parseObject("{\n\t\t\"orgName\":\"浪潮软件股份有限公司\",\n\t\t\"legalType\":\"49\",\n\t\t\"representCardNo\":\"913700004941904564\",\n\t\t\"representCardType\":\"10\",\n\t\t\"legalNo\":\"9144030027954184XR\",\n\t\t\"legalAddress\":\"广东省深圳市福田区市民中心\",\n\t\t\"legalName\":\"浪潮软件股份有限公司\",\n\t\t\"representName\":\"王柏华\",\n\t\t\"id\":\"ca23543b48c142bbb46e9511cbc0322a\"\n\t}");
        return ResultUtil.successToObject(dataObj);
    }

    @PostMapping({"/getCompanyList"})
    @ApiImplicitParams({@ApiImplicitParam(name = "societyCode", value = "统一社会信用代码", dataType = "query"), @ApiImplicitParam(name = "name", value = "公司名称", dataType = "query"), @ApiImplicitParam(name = "page", value = "当前页", dataType = "query", required = true), @ApiImplicitParam(name = "rows", value = "页大小", dataType = "query", required = true)})
    @ApiOperation("获取企业列表（两个入参）")
    @AepSecurity(enable = false)
    public ResultList getCompanyList(Integer page, Integer rows, String name, String societyCode) {
        JSONObject dataObj1 = JSONObject.parseObject("{\"id\":\"1\",\"societyCode\":\"91110000802100433B\",\"name\":\"北京百度网讯科技有限公司\",\"represen\":\"梁志祥\",\"companyCode\":\"110108002734659\",\"registrar\":\"北京市工商行政管理局海淀分局\"}");
        JSONObject dataObj2 = JSONObject.parseObject("{\"id\":\"2\",\"societyCode\":\"91330100799655058B\",\"name\":\"阿里巴巴(中国)有限公司\",\"represen\":\"张勇\",\"companyCode\":\"330100400013364\",\"registrar\":\"杭州市高新区(滨江)市场监督管理局\"}");
        JSONObject dataObj3 = JSONObject.parseObject("{\"id\":\"3\",\"societyCode\":\"91440300708461136T\",\"name\":\"深圳市腾讯计算机系统有限公司\",\"represen\":\"马化腾\",\"companyCode\":\"440301103448669\",\"registrar\":\"深圳市市场监督管理局\"}");
        JSONObject dataObj4 = JSONObject.parseObject("{\"id\":\"4\",\"societyCode\":\"9111030266052765XB\",\"name\":\"北京京东叁佰陆拾度电子商务有限公司\",\"represen\":\"刘强东\",\"companyCode\":\"110108010100221\",\"registrar\":\"北京市工商行政管理局北京经济技术开发区分局\"}");
        JSONObject dataObj5 = JSONObject.parseObject("{\"id\":\"5\",\"societyCode\":\"913700001630477270\",\"name\":\"浪潮集团有限公司\",\"represen\":\"孙丕恕\",\"companyCode\":\"370000018019745\",\"registrar\":\"济南市工商行政管理局高新技术产业开发区分局\"}");
        JSONObject dataObj6 = JSONObject.parseObject("{\"id\":\"6\",\"societyCode\":\"91440300MA5EFAY550\",\"name\":\"深圳环迅通网络科技有限公司\",\"represen\":\"陈锡饶\",\"companyCode\":\"440300200643828\",\"registrar\":\"深圳市市场监督管理局\"}");
        JSONObject dataObj7 = JSONObject.parseObject("{\"id\":\"7\",\"societyCode\":\"91370200163562681G\",\"name\":\"海尔电器国际股份有限公司\",\"represen\":\"张瑞敏\",\"companyCode\":\"370200018065179\",\"registrar\":\"青岛市市场监督管理局\"}");
        JSONObject dataObj8 = JSONObject.parseObject("{\"id\":\"8\",\"societyCode\":\"91440400192548256N\",\"name\":\"珠海格力电器股份有限公司\",\"represen\":\"董明珠\",\"companyCode\":\"440000000040686\",\"registrar\":\"珠海市市场监督管理局\"}");
        JSONObject dataObj9 = JSONObject.parseObject("{\"id\":\"9\",\"societyCode\":\"91110108551385082Q\",\"name\":\"小米科技有限责任公司\",\"represen\":\"雷军\",\"companyCode\":\"110108012660422\",\"registrar\":\"北京市工商行政管理局海淀分局\"}");
        JSONObject dataObj10 = JSONObject.parseObject("{\"id\":\"10\",\"societyCode\":\"91440300084630949H\",\"name\":\"深圳市万普拉斯贸易有限公司\",\"represen\":\"徐延凯\",\"companyCode\":\"440301108384291\",\"registrar\":\"深圳市市场监督管理局\"}");
        JSONArray array = new JSONArray();
        array.add(dataObj1);
        array.add(dataObj2);
        array.add(dataObj3);
        array.add(dataObj4);
        array.add(dataObj5);
        array.add(dataObj6);
        array.add(dataObj7);
        array.add(dataObj8);
        array.add(dataObj9);
        array.add(dataObj10);
        JSONArray reArray = new JSONArray();
        if (StringUtil.isNotEmpty(name) || StringUtil.isNotEmpty(societyCode)) {
            for (int i = 0; i < array.size(); i++) {
                JSONObject object = array.getJSONObject(i);
                int flag = 0;
                if (StringUtil.isNotEmpty(societyCode)) {
                    flag = object.getString("societyCode").equals(societyCode) ? 1 : 2;
                }
                if (flag != 2 && StringUtil.isNotEmpty(name)) {
                    flag = object.getString("name").contains(name) ? 1 : 2;
                }
                if (flag == 1) {
                    reArray.add(object);
                }
            }
        } else {
            reArray.addAll(array);
        }
        int total = reArray.size() % rows.intValue() == 0 ? reArray.size() / rows.intValue() : (reArray.size() / rows.intValue()) + 1;
        ResultList<Object> resultList = new ResultList<>();
        if (page.intValue() <= total) {
            List<Object> list = reArray.subList(rows.intValue() * (page.intValue() - 1), Math.min(page.intValue() * rows.intValue(), reArray.size()));
            resultList.setRows(list);
        }
        resultList.setState(1);
        resultList.setPage(page.intValue());
        resultList.setTotal(total);
        resultList.setRecords(reArray.size());
        return resultList;
    }

    @PostMapping({"/getCompanyListMore"})
    @ApiImplicitParams({@ApiImplicitParam(name = "societyCode", value = "统一社会信用代码", dataType = "query"), @ApiImplicitParam(name = "name", value = "公司名称", dataType = "query"), @ApiImplicitParam(name = "represen", value = "法人代表", dataType = "query"), @ApiImplicitParam(name = "companyCode", value = "工商注册号", dataType = "query"), @ApiImplicitParam(name = "registrar", value = "登记机关", dataType = "query"), @ApiImplicitParam(name = "page", value = "当前页", dataType = "query", required = true), @ApiImplicitParam(name = "rows", value = "页大小", dataType = "query", required = true)})
    @ApiOperation("获取企业列表（5个入参）")
    @AepSecurity(enable = false)
    public ResultList getCompanyListMore(Integer page, Integer rows, String name, String societyCode, String represen, String companyCode, String registrar) {
        JSONObject dataObj1 = JSONObject.parseObject("{\"id\":\"1\",\"societyCode\":\"91110000802100433B\",\"name\":\"北京百度网讯科技有限公司\",\"represen\":\"梁志祥\",\"companyCode\":\"110108002734659\",\"registrar\":\"北京市工商行政管理局海淀分局\"}");
        JSONObject dataObj2 = JSONObject.parseObject("{\"id\":\"2\",\"societyCode\":\"91330100799655058B\",\"name\":\"阿里巴巴(中国)有限公司\",\"represen\":\"张勇\",\"companyCode\":\"330100400013364\",\"registrar\":\"杭州市高新区(滨江)市场监督管理局\"}");
        JSONObject dataObj3 = JSONObject.parseObject("{\"id\":\"3\",\"societyCode\":\"91440300708461136T\",\"name\":\"深圳市腾讯计算机系统有限公司\",\"represen\":\"马化腾\",\"companyCode\":\"440301103448669\",\"registrar\":\"深圳市市场监督管理局\"}");
        JSONObject dataObj4 = JSONObject.parseObject("{\"id\":\"4\",\"societyCode\":\"9111030266052765XB\",\"name\":\"北京京东叁佰陆拾度电子商务有限公司\",\"represen\":\"刘强东\",\"companyCode\":\"110108010100221\",\"registrar\":\"北京市工商行政管理局北京经济技术开发区分局\"}");
        JSONObject dataObj5 = JSONObject.parseObject("{\"id\":\"5\",\"societyCode\":\"913700001630477270\",\"name\":\"浪潮集团有限公司\",\"represen\":\"孙丕恕\",\"companyCode\":\"370000018019745\",\"registrar\":\"济南市工商行政管理局高新技术产业开发区分局\"}");
        JSONObject dataObj6 = JSONObject.parseObject("{\"id\":\"6\",\"societyCode\":\"91440300MA5EFAY550\",\"name\":\"深圳环迅通网络科技有限公司\",\"represen\":\"陈锡饶\",\"companyCode\":\"440300200643828\",\"registrar\":\"深圳市市场监督管理局\"}");
        JSONObject dataObj7 = JSONObject.parseObject("{\"id\":\"7\",\"societyCode\":\"91370200163562681G\",\"name\":\"海尔电器国际股份有限公司\",\"represen\":\"张瑞敏\",\"companyCode\":\"370200018065179\",\"registrar\":\"青岛市市场监督管理局\"}");
        JSONObject dataObj8 = JSONObject.parseObject("{\"id\":\"8\",\"societyCode\":\"91440400192548256N\",\"name\":\"珠海格力电器股份有限公司\",\"represen\":\"董明珠\",\"companyCode\":\"440000000040686\",\"registrar\":\"珠海市市场监督管理局\"}");
        JSONObject dataObj9 = JSONObject.parseObject("{\"id\":\"9\",\"societyCode\":\"91110108551385082Q\",\"name\":\"小米科技有限责任公司\",\"represen\":\"雷军\",\"companyCode\":\"110108012660422\",\"registrar\":\"北京市工商行政管理局海淀分局\"}");
        JSONObject dataObj10 = JSONObject.parseObject("{\"id\":\"10\",\"societyCode\":\"91440300084630949H\",\"name\":\"深圳市万普拉斯贸易有限公司\",\"represen\":\"徐延凯\",\"companyCode\":\"440301108384291\",\"registrar\":\"深圳市市场监督管理局\"}");
        JSONArray array = new JSONArray();
        array.add(dataObj1);
        array.add(dataObj2);
        array.add(dataObj3);
        array.add(dataObj4);
        array.add(dataObj5);
        array.add(dataObj6);
        array.add(dataObj7);
        array.add(dataObj8);
        array.add(dataObj9);
        array.add(dataObj10);
        JSONArray reArray = new JSONArray();
        if (StringUtil.isNotEmpty(name) || StringUtil.isNotEmpty(societyCode) || StringUtil.isNotEmpty(represen) || StringUtil.isNotEmpty(companyCode) || StringUtil.isNotEmpty(registrar)) {
            for (int i = 0; i < array.size(); i++) {
                JSONObject object = array.getJSONObject(i);
                int flag = 0;
                if (StringUtil.isNotEmpty(societyCode)) {
                    flag = object.getString("societyCode").equals(societyCode) ? 1 : 2;
                }
                if (flag != 2 && StringUtil.isNotEmpty(name)) {
                    flag = object.getString("name").contains(name) ? 1 : 2;
                }
                if (flag != 2 && StringUtil.isNotEmpty(represen)) {
                    flag = object.getString("represen").contains(represen) ? 1 : 2;
                }
                if (flag != 2 && StringUtil.isNotEmpty(companyCode)) {
                    flag = object.getString("companyCode").equals(companyCode) ? 1 : 2;
                }
                if (flag != 2 && StringUtil.isNotEmpty(registrar)) {
                    flag = object.getString("registrar").contains(registrar) ? 1 : 2;
                }
                if (flag == 1) {
                    reArray.add(object);
                }
            }
        } else {
            reArray.addAll(array);
        }
        int total = reArray.size() % rows.intValue() == 0 ? reArray.size() / rows.intValue() : (reArray.size() / rows.intValue()) + 1;
        ResultList<Object> resultList = new ResultList<>();
        if (page.intValue() <= total) {
            List<Object> list = reArray.subList(rows.intValue() * (page.intValue() - 1), Math.min(page.intValue() * rows.intValue(), reArray.size()));
            resultList.setRows(list);
        }
        resultList.setState(1);
        resultList.setPage(page.intValue());
        resultList.setTotal(total);
        resultList.setRecords(reArray.size());
        return resultList;
    }

    @PostMapping({"/getDictItemInfo"})
    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "字典code", dataType = "query")})
    @ApiOperation("获取字典数据")
    @AepSecurity(enable = false)
    public ResultList getCompanyListMore(String code) {
        List<DictServiceVo> dictServiceVos = this.iCfDictService.dictService(code);
        return ResultUtil.successToList(dictServiceVos);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "busiId", value = "业务Id（表单ID）", required = true, paramType = "query", dataType = "string")})
    @GetMapping({"/getFields"})
    @ApiOperation("根据表单ID获取打印模板字段列表")
    public ResultList temeplateFields(String busiId) {
        CfForm cfForm = (CfForm) this.iCfFormService.getById(busiId);
        if (Objects.isNull(cfForm)) {
            return ResultUtil.errorToList("未找到业务");
        }
        if (cfForm.getDelFlag().equals("1")) {
            return ResultUtil.errorToList("表单无效");
        }
        List<FieldListVo> fieldList = this.iCfTemplateService.getFields(cfForm);
        return ResultUtil.successToList(fieldList);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "busiId", value = "业务Id（表单ID）", required = true, paramType = "query", dataType = "string")})
    @GetMapping({"/getFormFields"})
    @ApiOperation("根据表单id,获取表单字段")
    public ResultObject getFormFields(String busiId) {
        CfForm cfForm = (CfForm) this.iCfFormService.getById(busiId);
        if (Objects.isNull(cfForm)) {
            return ResultUtil.errorToObject("未找到业务");
        }
        if (cfForm.getDelFlag().equals("1")) {
            return ResultUtil.errorToObject("表单无效");
        }
        List<FieldListVo> fieldList = this.iCfTemplateService.getFields(cfForm);
        return ResultUtil.successToObject(fieldList);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "busiId", value = "业务Id（表单ID）", required = true, paramType = "query", dataType = "string")})
    @GetMapping({"/getGatherFormFields"})
    @ApiOperation("根据表单id,获取聚合表单字段")
    public ResultObject getGatherFormFields(String busiId) {
        CfForm cfForm = (CfForm) this.iCfFormService.getById(busiId);
        if (Objects.isNull(cfForm)) {
            return ResultUtil.errorToObject("未找到业务");
        }
        if (cfForm.getDelFlag().equals("1")) {
            return ResultUtil.errorToObject("表单无效");
        }
        List<FieldListVo> fieldList = this.iCfTemplateService.getGatherFields(cfForm);
        return ResultUtil.successToObject(fieldList);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "widgetId", value = "组件Id", dataType = "String", required = true), @ApiImplicitParam(name = "widgetVersionId", value = "组件版本ID", dataType = "query", required = false)})
    @GetMapping({"/widgetContent"})
    @ApiOperation("根据组件id查询云端组件内容")
    public ResultObject<WidgetCloudVo> widgetContent(String accessToken, String widgetId, @RequestParam(value = "widgetVersionId", required = false) String widgetVersionId) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        CfWidget widget = (CfWidget) this.iCfWidgetService.getById(widgetId);
        QueryWrapper<CfWidgetCloud> contentQueryWrapper = new QueryWrapper<>();
        if (Objects.isNull(widget)) {
            throw new BusiException("组件不存在");
        }
        if (StringUtil.isNotEmpty(widgetVersionId)) {
            contentQueryWrapper.lambda().eq((v0) -> {
                return v0.getId();
            }, widgetVersionId);
        } else {
            if (StringUtil.isEmpty(widget.getPublishVersionId())) {
                throw new BusiException("组件【" + widget.getName() + "】未发布");
            }
            ((LambdaQueryWrapper) contentQueryWrapper.lambda().eq((v0) -> {
                return v0.getId();
            }, widget.getPublishVersionId())).eq((v0) -> {
                return v0.getStatus();
            }, 1);
        }
        CfWidgetCloud contentServiceOne = (CfWidgetCloud) this.iCfWidgetCloudService.getOne(contentQueryWrapper);
        if (Objects.isNull(contentServiceOne)) {
            throw new BusiException("未找到组件内容");
        }
        WidgetCloudVo cloudVo = (WidgetCloudVo) RelationsBinder.convertAndBind(widget, WidgetCloudVo.class);
        cloudVo.setContent(contentServiceOne.getContent());
        return ResultUtil.successToObject(cloudVo);
    }

    @PostMapping(value = {"/upload"}, headers = {"content-type=multipart/form-data"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "file", value = "附件", dataType = "file", required = true), @ApiImplicitParam(name = "maxSize", value = "附件最大上传大小", dataType = "string", required = false)})
    @ApiOperation("附件上传")
    public ResultObject<FileVo> upload(String accessToken, @RequestParam("file") MultipartFile file, @RequestParam("companyId") String companyId, @RequestParam(value = "maxSize", required = false) String maxSize) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        if (StringUtil.isNotBlank(maxSize) && file.getSize() / 1024 > Long.parseLong(maxSize)) {
            return ResultUtil.errorToObject("文件大小超过限制");
        }
        if (file.isEmpty() || file.getSize() == 0) {
            throw new BusiException("文件不能为空");
        }
        if (StringUtil.isBlank(companyId)) {
            throw new BusiException("参数companyId为空");
        }
        String filename = StringUtils.isEmpty(file.getOriginalFilename()) ? "" : file.getOriginalFilename();
        String suf = filename.indexOf(".") > -1 ? filename.substring(filename.lastIndexOf(".") + 1) : "";
        if (!"gif,jpg,jpeg,bmp,png,svg,ico,psd,pdd,doc,docx,txt,ppt,pptx,xlsx,xls,pdf,zip,rar,7z,gzip,vsd,tif,GIF,JPG,JPEG,BMP,PNG,SVG,ICO,PSD,PDD,DOC,DOCX,TXT,PPT,PPTX,XLSX,XLS,PDF,ZIP,RAR,7Z,GZIP,VSD,TIF".contains(suf)) {
            return ResultUtil.errorToObject("请上传gif,jpg,jpeg,bmp,png,svg,ico,psd,pdd,doc,docx,txt,ppt,pptx,xlsx,xls,pdf,zip,rar,7z,gzip,vsd,tif后缀文件");
        }
        try {
            Map<String, String> params = new HashMap<>();
            params.put("uid", this.appProperties.getCode());
            params.put("type", "doc");
            String docId = this.webDiskUtil.getDocIdByUpload(companyId, params, file.getInputStream(), file.getOriginalFilename());
            FileVo fileVo = new FileVo();
            fileVo.setName(file.getOriginalFilename());
            fileVo.setSize(Long.valueOf(file.getSize()));
            fileVo.setExtType(suf);
            fileVo.setDocId(docId);
            return ResultUtil.successToObject(fileVo);
        } catch (BusiException e) {
            throw new BusiException(e.getMessage());
        } catch (IOException e2) {
            throw new BusiException("系统异常，上传失败");
        } catch (Exception e3) {
            throw new RuntimeException(e3);
        }
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "code", value = "域含义code", dataType = "String", required = true)})
    @GetMapping({"/mean"})
    @ApiOperation("根据域含义code，查询域含义")
    public ResultObject<MeanVo> mean(String accessToken, @RequestParam("code") String code) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        QueryWrapper<CfMean> meanQueryWrapper = new QueryWrapper<>();
        meanQueryWrapper.lambda().eq((v0) -> {
            return v0.getCode();
        }, code);
        CfMean mean = (CfMean) this.iCfMeanService.getOne(meanQueryWrapper);
        MeanVo meanVo = (MeanVo) RelationsBinder.convertAndBind(mean, MeanVo.class);
        return ResultUtil.successToObject(meanVo);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true)})
    @GetMapping({"/meanList"})
    @ApiOperation("获取域含义列表")
    public ResultList<MeanVo> meanList(String accessToken) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        QueryWrapper<CfMean> meanQueryWrapper = new QueryWrapper<>();
        meanQueryWrapper.lambda().eq((v0) -> {
            return v0.getStatus();
        }, "1");
        List<CfMean> mean = this.iCfMeanService.list(meanQueryWrapper);
        List<MeanVo> meanVo = RelationsBinder.convertAndBind(mean, MeanVo.class);
        return ResultUtil.successToList(meanVo);
    }

    @GetMapping({"/doc/getToken"})
    @ApiImplicitParams({@ApiImplicitParam(name = "userCode", value = "当前下载用户编码", dataType = "String", required = false), @ApiImplicitParam(name = "userName", value = "当前下载用户名称", dataType = "string", required = false), @ApiImplicitParam(name = "companyId", value = "公司ID", dataType = "string", required = true), @ApiImplicitParam(name = "docId", value = "附件ID", dataType = "string", required = true)})
    @ApiOperation("获取下载文件路径")
    public ResultObject getDocToken(String userCode, String userName, String docId, String companyId) {
        if (StringUtils.isBlank(docId)) {
            return ResultUtil.errorToObject("参数docId不能为空");
        }
        if (StringUtils.isBlank(companyId)) {
            return ResultUtil.errorToObject("参数companyId不能为空");
        }
        String downloadUrl = this.webDiskUtil.getDownloadUrl(companyId, StringUtil.isNotBlank(userCode) ? userCode : this.appProperties.getCode(), StringUtil.isNotBlank(userName) ? userName : this.appProperties.getCode(), URLUtil.encode(docId));
        String uuId = Tools.getUUID32();
        JSONObject obj = new JSONObject();
        obj.put("downloadUrl", downloadUrl);
        CacheManager.set(uuId, uuId, obj, 3600);
        String url = "/form/service/doc/getDoc?id=" + uuId;
        return ResultUtil.successToObject(url);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "id", value = "下载业务标识", dataType = "String", required = false)})
    @ApiOperation("文件下载")
    @AepSecurity(enable = false)
    @GetMapping({"/doc/getDoc"})
    public void getDoc(HttpServletResponse response, String id) throws IOException {
        JSONObject obj = (JSONObject) CacheManager.get(id, id);
        String downloadUrl = obj.getString("downloadUrl");
        InputStream inputStream = null;
        ServletOutputStream os = null;
        try {
            try {
                URL pathUrl = new URL(downloadUrl);
                HttpURLConnection urlcon = (HttpURLConnection) pathUrl.openConnection();
                if (urlcon.getResponseCode() >= 400) {
                    response.setStatus(401);
                    response.setCharacterEncoding("UTF-8");
                    response.setContentType("application/json;charset=UTF-8");
                    response.getWriter().print("文件不存在，请联系管理员!");
                    response.flushBuffer();
                    if (0 != 0) {
                        try {
                            inputStream.close();
                        } catch (Exception e) {
                            e.printStackTrace();
                            return;
                        }
                    }
                    if (0 != 0) {
                        os.close();
                    }
                    return;
                }
                InputStream inputStream2 = new URL(downloadUrl).openStream();
                response.setContentType(urlcon.getHeaderField("Content-Type"));
                if (urlcon.getHeaderField("Content-Disposition") == null) {
                    response.addHeader("Content-Disposition", "attachment;filename=" + pathUrl.getFile().substring(pathUrl.getFile().lastIndexOf("/") + 1).split("\\?")[0]);
                } else {
                    response.setHeader("content-disposition", urlcon.getHeaderField("Content-Disposition"));
                }
                ServletOutputStream os2 = response.getOutputStream();
                FileCopyUtils.copy(inputStream2, os2);
                if (inputStream2 != null) {
                    try {
                        inputStream2.close();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                        return;
                    }
                }
                if (os2 != null) {
                    os2.close();
                }
            } catch (Exception e3) {
                response.setStatus(401);
                response.setCharacterEncoding("UTF-8");
                response.setContentType("application/json;charset=UTF-8");
                response.getWriter().print("下载失败，请联系管理员!");
                response.flushBuffer();
                if (0 != 0) {
                    try {
                        inputStream.close();
                    } catch (Exception e4) {
                        e4.printStackTrace();
                        return;
                    }
                }
                if (0 != 0) {
                    os.close();
                }
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    inputStream.close();
                } catch (Exception e5) {
                    e5.printStackTrace();
                    throw th;
                }
            }
            if (0 != 0) {
                os.close();
            }
            throw th;
        }
    }

    @RequestMapping(value = {"/authorize/getAuthCode"}, method = {RequestMethod.GET, RequestMethod.POST})
    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "统一认证授权码", dataType = "String", required = true), @ApiImplicitParam(name = "appCode", value = "应用编码", dataType = "String", required = true), @ApiImplicitParam(name = "appCallback", value = "统一认证接收的回调地址", dataType = "String", required = false)})
    @ApiOperation("获取授权码-v3统一认证")
    @AepSecurity(enable = false)
    public ResultObject getAuthCode(String code, String appCode, String appCallback) {
        IUserConvert iUserConvert = (IUserConvert) DaoFactory.getDao(this.app.getOauth2().getOauthUserConvertClz());
        if (iUserConvert == null) {
            return ResultUtil.errorToObject("方法未实现");
        }
        IUser user = iUserConvert.getUserInfoByName(code + "," + appCallback);
        if (user == null) {
            return ResultUtil.errorToObject("用户不存在");
        }
        String uuId = Tools.getUUID32();
        JSONObject obj = new JSONObject();
        obj.put("user", user);
        obj.put("code", uuId);
        if (StringUtil.isEmpty(appCode)) {
            return ResultUtil.errorToObject("请输入appCode");
        }
        obj.put("appCode", appCode);
        CacheManager.set("CFORM_SSO_LOGIN", uuId, obj, 600);
        JSONObject reObj = new JSONObject();
        reObj.put("code", uuId);
        return ResultUtil.successToObject(reObj);
    }

    @RequestMapping(value = {"/authorize/code"}, method = {RequestMethod.GET, RequestMethod.POST})
    @ApiImplicitParams({@ApiImplicitParam(name = "userId", value = "用户ID", dataType = "String", required = true), @ApiImplicitParam(name = "appCode", value = "应用编码", dataType = "String", required = true)})
    @ApiOperation("获取授权码")
    public ResultObject getCode(String userId, String appCode) {
        JSONObject param = new JSONObject();
        param.put("id", userId);
        IUserConvert iUserConvert = (IUserConvert) DaoFactory.getDao(this.appProperties.getUserConvertClz());
        if (iUserConvert == null) {
            return ResultUtil.errorToObject("方法未实现");
        }
        IUser user = iUserConvert.toUser(param);
        if (user == null) {
            return ResultUtil.errorToObject("用户不存在");
        }
        String uuId = Tools.getUUID32();
        JSONObject obj = new JSONObject();
        obj.put("user", user);
        obj.put("code", uuId);
        if (StringUtil.isEmpty(appCode)) {
            return ResultUtil.errorToObject("请输入appCode");
        }
        obj.put("appCode", appCode);
        CacheManager.set("CFORM_SSO_LOGIN", uuId, obj, 600);
        JSONObject reObj = new JSONObject();
        reObj.put("code", uuId);
        return ResultUtil.successToObject(reObj);
    }

    @GetMapping({"/sso/login"})
    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "授权码", dataType = "String", required = true)})
    @ApiOperation("表单单点登录")
    public ResultObject login(String code) throws Exception {
        if (StringUtil.isEmpty(code)) {
            return ResultUtil.errorToObject("code传值错误");
        }
        JSONObject obj = (JSONObject) CacheManager.get("CFORM_SSO_LOGIN", code);
        if (Objects.isNull(obj)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        CacheManager.evict("CFORM_SSO_LOGIN", code);
        IUser user = (IUser) obj.getObject("user", IUser.class);
        if (Objects.isNull(user)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        Integer loginExpired = this.appProperties.getLoginExpired();
        Map<String, Object> claims = new HashMap<>();
        claims.put("uid", user.getId());
        String token = JWTUtil.createJWT(Tools.getUUID32(), claims);
        CacheManager.set("SESSION_USER_INFO", token, user, loginExpired);
        JSONObject reObj = new JSONObject();
        reObj.put("token", token);
        return ResultUtil.successToObject(reObj);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "token", value = "令牌", dataType = "String", required = true)})
    @ApiOperation("表单单点登出")
    @AepSecurity(enable = false)
    @GetMapping({"/sso/logout"})
    public Result logout(String token) {
        if (StringUtil.isEmpty(token)) {
            return ResultUtil.errorToObject("token传值错误");
        }
        CacheManager.evict("SESSION_USER_INFO", token);
        return ResultUtil.success();
    }

    @PostMapping({"/gather"})
    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "授权码", dataType = "String", required = true)})
    @ApiOperation("表单聚合")
    public ResultObject<FormGatherVo> info(String code, @RequestBody ApiFormGatherDto formGatherInfo) {
        if (StringUtil.isEmpty(code)) {
            return ResultUtil.errorToObject("code传值错误");
        }
        JSONObject obj = (JSONObject) CacheManager.get("CFORM_SSO_LOGIN", code);
        if (Objects.isNull(obj)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        List<FormVersionDto> gatherRelations = formGatherInfo.getGatherRelations();
        List<String> formIds = (List) gatherRelations.stream().map((v0) -> {
            return v0.getFormId();
        }).collect(Collectors.toList());
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormIds(formIds);
        String result = permissionCheck(obj.getString("appCode"), permissionDto);
        if (StringUtil.isNotEmpty(result)) {
            return ResultUtil.errorToObject(result);
        }
        CacheManager.evict("CFORM_SSO_LOGIN", code);
        IUser user = (IUser) obj.getObject("user", IUser.class);
        if (Objects.isNull(user)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        if (StringUtil.isEmpty(formGatherInfo.getBusiCode())) {
            return ResultUtil.errorToObject("业务编码不能为空");
        }
        if (StringUtil.isEmpty(formGatherInfo.getGatherType())) {
            formGatherInfo.setGatherType("1");
        }
        FormGatherVo formGatherVo = this.iCfFormService.saveOrGetFormGather(formGatherInfo, user);
        return ResultUtil.successToObject(formGatherVo);
    }

    @PostMapping({"/gather/data"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "formDataId", value = "聚合表单数据ID或子表单数据ID", dataType = "String", required = true)})
    @ApiOperation("根据聚合表单数据ID或子表单数据ID获取聚合表单关联的表单及数据")
    public ResultObject<FormGatherDataVo> info2(String accessToken, String formDataId) {
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormDataId(formDataId);
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, true, permissionDto);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        FormGatherDataVo formGatherData = this.iCfDataService.getFormGatherData(formDataId);
        return ResultUtil.successToObject(formGatherData);
    }

    @PostMapping({"/recall"})
    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "授权码", dataType = "String", required = true), @ApiImplicitParam(name = "id", value = "表单Id", dataType = "string", required = true)})
    @ApiOperation("撤回提交表单")
    public Result recall(String code, @RequestParam("id") String id) {
        if (StringUtil.isEmpty(code)) {
            return ResultUtil.errorToObject("code传值错误");
        }
        JSONObject obj = (JSONObject) CacheManager.get("CFORM_SSO_LOGIN", code);
        if (Objects.isNull(obj)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormId(id);
        String result = permissionCheck(obj.getString("appCode"), permissionDto);
        if (StringUtil.isNotEmpty(result)) {
            return ResultUtil.errorToObject(result);
        }
        CacheManager.evict("CFORM_SSO_LOGIN", code);
        IUser user = (IUser) obj.getObject("user", IUser.class);
        if (Objects.isNull(user)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        if (StringUtil.isEmpty(id)) {
            return ResultUtil.errorToObject("表单id不能为空");
        }
        CfForm form = (CfForm) this.iCfFormService.getById(id);
        this.iCfFormService.recall(form.getCompanyId(), id, user);
        return ResultUtil.success("成功");
    }

    @DeleteMapping({"/deleteForm"})
    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "授权码", dataType = "String", required = true), @ApiImplicitParam(name = "id", value = "表单Id", dataType = "string", required = true)})
    @ApiOperation("删除表单")
    public Result delete(String code, @RequestParam("id") String id) {
        JSONObject obj = (JSONObject) CacheManager.get("CFORM_SSO_LOGIN", code);
        if (Objects.isNull(obj)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        CacheManager.evict("CFORM_SSO_LOGIN", code);
        IUser user = (IUser) obj.getObject("user", IUser.class);
        if (Objects.isNull(user)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        PermissionDto permissionDto = new PermissionDto();
        permissionDto.setFormId(id);
        String result = permissionCheck(obj.getString("appCode"), permissionDto);
        if (StringUtil.isNotEmpty(result)) {
            return ResultUtil.errorToObject(result);
        }
        if (StringUtil.isEmpty(id)) {
            return ResultUtil.errorToObject("表单id不能为空");
        }
        CfForm form = (CfForm) this.iCfFormService.getById(id);
        this.iCfFormService.deleteForm(id, form.getCompanyId());
        return ResultUtil.success("删除成功");
    }

    @PostMapping({"/cascadeOrDictInfo"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "type", value = "级联cascade，字典dict", dataType = "String", required = true), @ApiImplicitParam(name = "ids", value = "级联ids或字典ids", required = true, dataType = "String")})
    @ApiOperation("根据级联ids或者字典ids，获取相应数据")
    public ResultObject cascadeOrDictInfo(String accessToken, @RequestParam String type, @RequestParam String ids) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        List<String> idList = Arrays.asList(ids.split(","));
        if (type.equals("cascade")) {
            QueryWrapper<CfCascade> cascadeQuery = new QueryWrapper<>();
            ((LambdaQueryWrapper) cascadeQuery.lambda().eq((v0) -> {
                return v0.getStatus();
            }, "2")).in((v0) -> {
                return v0.getId();
            }, idList);
            List<CfCascade> cascadeList = this.iCfCascadeService.list(cascadeQuery);
            List<CascadeInfoVo> cascadeInfoVoList = RelationsBinder.convertAndBind(cascadeList, CascadeInfoVo.class);
            HashedMap map = new HashedMap();
            for (String id : idList) {
                CascadeInfoVo cascadeVo = new CascadeInfoVo();
                Iterator<CascadeInfoVo> it = cascadeInfoVoList.iterator();
                while (true) {
                    if (it.hasNext()) {
                        CascadeInfoVo cascadeInfoVo = it.next();
                        if (cascadeInfoVo.getId().equals(id)) {
                            cascadeVo = cascadeInfoVo;
                            break;
                        }
                    }
                }
                map.put(id, cascadeVo);
            }
            return ResultUtil.successToObject(map);
        }
        if (type.equals("dict")) {
            QueryWrapper<CfDict> dictQuery = new QueryWrapper<>();
            ((LambdaQueryWrapper) dictQuery.lambda().eq((v0) -> {
                return v0.getStatus();
            }, "2")).in((v0) -> {
                return v0.getId();
            }, idList);
            List<CfDict> dictList = this.iCfDictService.list(dictQuery);
            List<DictInfoVo> dictVoList = RelationsBinder.convertAndBind(dictList, DictInfoVo.class);
            HashedMap map2 = new HashedMap();
            for (String id2 : idList) {
                DictInfoVo dictVo = new DictInfoVo();
                for (DictInfoVo dictInfoVo : dictVoList) {
                    if (dictInfoVo.getId().equals(id2)) {
                        dictVo = dictInfoVo;
                    }
                }
                map2.put(id2, dictVo);
            }
            return ResultUtil.successToObject(map2);
        }
        return null;
    }

    @PostMapping({"/copyFormTamplate"})
    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "授权码", dataType = "String", required = true), @ApiImplicitParam(name = "formName", value = "表单名称", dataType = "String", required = true), @ApiImplicitParam(name = "formTemplateId", value = "模板id", dataType = "String", required = true), @ApiImplicitParam(name = "formTemplateVersionId", value = "模板版本id", dataType = "String", required = false)})
    @ApiOperation("根据表单模板生成表单")
    public ResultObject<CfForm> createFormTemplate(String code, @RequestParam String formName, @RequestParam String formTemplateId, @RequestParam String formTemplateVersionId, @RequestParam(required = false) boolean isExternal) {
        CfForm cfFormTemplate;
        CfFormContent cfFormTemplateContent;
        if (StringUtil.isEmpty(code)) {
            return ResultUtil.errorToObject("code传值错误");
        }
        JSONObject obj = (JSONObject) CacheManager.get("CFORM_SSO_LOGIN", code);
        if (Objects.isNull(obj)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        CacheManager.evict("CFORM_SSO_LOGIN", code);
        IUser iUser = (IUser) obj.getObject("user", IUser.class);
        if (Objects.isNull(iUser)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        if (StringUtil.isNotEmpty(formTemplateVersionId)) {
            cfFormTemplateContent = (CfFormContent) this.iCfFormContentService.getById(formTemplateVersionId);
            if (Objects.isNull(cfFormTemplateContent)) {
                return ResultUtil.errorToObject("未找到版本模板");
            }
            cfFormTemplate = (CfForm) this.iCfFormService.getById(cfFormTemplateContent.getFormId());
        } else {
            if (StringUtil.isEmpty(formTemplateId)) {
                return ResultUtil.errorToObject("模板ID不能为空，请正确传值");
            }
            cfFormTemplate = (CfForm) this.iCfFormService.getById(formTemplateId);
            if (Objects.isNull(cfFormTemplate)) {
                return ResultUtil.errorToObject("未找到模板");
            }
            if (StringUtils.isEmpty(cfFormTemplate.getPublishVersionId())) {
                return ResultUtil.errorToObject("模板未发布，不能复制");
            }
            cfFormTemplateContent = (CfFormContent) this.iCfFormContentService.getById(cfFormTemplate.getPublishVersionId());
            if (Objects.isNull(cfFormTemplateContent)) {
                return ResultUtil.errorToObject("未找到模板");
            }
        }
        if (Objects.isNull(cfFormTemplate)) {
            return ResultUtil.errorToObject("未找到模板");
        }
        if ("1".equals(cfFormTemplate.getDelFlag())) {
            return ResultUtil.errorToObject("模板无效");
        }
        FormContentDto formContentDto = new FormContentDto();
        formContentDto.setCategoryId(cfFormTemplate.getCategoryId());
        formContentDto.setFormName(StringUtil.isEmpty(formName) ? "表单标题" : formName);
        formContentDto.setType("1");
        formContentDto.setDescription(formContentDto.getDescription());
        formContentDto.setCategoryId("-1");
        if (isExternal) {
            formContentDto.setIsExternalApp("1");
            formContentDto.setExternalAppCode(obj.getString("appCode"));
        } else {
            formContentDto.setIsExternalApp("0");
            formContentDto.setExternalAppCode((String) null);
        }
        String cotent = cfFormTemplateContent.getContent();
        JSONObject contentObj = JSONObject.parseObject(cotent);
        JSONObject formOptObj = contentObj.getJSONObject("options");
        formOptObj.put("name", StringUtil.isEmpty(formName) ? "表单标题" : formName);
        String cotent2 = contentObj.toJSONString();
        formContentDto.setContent(cotent2);
        CfForm cfForm = this.iCfFormService.publish((String) iUser.getAttrMap().get("companyId"), formContentDto, iUser);
        return ResultUtil.successToObject(cfForm);
    }

    @PostMapping({"/{formDataId}/audit"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "formDataId", value = "数据id", paramType = "path", dataType = "string", required = true), @ApiImplicitParam(name = "page", value = "第几页", required = true, paramType = "query", dataType = "int", example = "1"), @ApiImplicitParam(name = "rows", value = "页大小", required = true, paramType = "query", dataType = "int", example = "10")})
    @ApiOperation("数据审计")
    public ResultList<DataAuditVo> audit(@RequestParam String accessToken, @PathVariable("formDataId") String formDataId, @RequestParam Integer page, @RequestParam Integer rows) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        PageHelper.startPage(page.intValue(), rows.intValue());
        QueryWrapper<CfDataAudit> auditQueryWrapper = new QueryWrapper<>();
        ((LambdaQueryWrapper) auditQueryWrapper.lambda().eq((v0) -> {
            return v0.getFormDataId();
        }, formDataId)).orderByDesc((v0) -> {
            return v0.getOptTime();
        });
        List<CfDataAudit> dataAudit = this.iCfDataAuditService.list(auditQueryWrapper);
        List<DataAuditVo> dataAuditVo = RelationsBinder.convertAndBind(dataAudit, DataAuditVo.class);
        return ResultUtil.successToList(dataAuditVo);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "formDataId", value = "表单数据Id", dataType = "query", required = true), @ApiImplicitParam(name = "docId", value = "数据地址", dataType = "query", required = true)})
    @GetMapping({"/showFormData"})
    @ApiOperation("根据数据id，数据地址获取表单数据")
    public ResultObject<DataVo> showFormData(@RequestParam String accessToken, @RequestParam("formDataId") String formDataId, @RequestParam("docId") String docId) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        DataVo dataVo = this.iCfDataService.info(formDataId, docId, this.request, ((CFormTokenDto) validateAccessToken.getRow()).getAppCode());
        return ResultUtil.successToObject(dataVo);
    }

    @GetMapping({"/nativejsWidgets"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "companyId", value = "公司Id", dataType = "query", required = true)})
    @ApiOperation("获取原生组件")
    public ResultList<NativeWidgetsVo> nativejsWidgets(@RequestParam String accessToken, @RequestParam String companyId) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        QueryWrapper<CfNativejs> cfNativejsQuery = new QueryWrapper<>();
        cfNativejsQuery.lambda().eq((v0) -> {
            return v0.getCompanyId();
        }, companyId);
        List<CfNativejs> list = this.iCfNativejsService.list(cfNativejsQuery);
        List<NativeWidgetsVo> nativeWidgetsVos = RelationsBinder.convertAndBind(list, NativeWidgetsVo.class);
        return ResultUtil.successToList(nativeWidgetsVos);
    }

    @PostMapping({"/busiList"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "sceneId", value = "场景id", dataType = "String", required = true), @ApiImplicitParam(name = "page", value = "第几页", dataType = "String", required = true), @ApiImplicitParam(name = "total", value = "总数", dataType = "String", required = true), @ApiImplicitParam(name = "rows", value = "页大小", dataType = "String", required = true), @ApiImplicitParam(name = "busiName", value = "业务名称", dataType = "String", required = false)})
    @ApiOperation("请求业务列表")
    public ResultList busiList(@RequestParam String sceneId, @RequestParam String accessToken, @RequestParam(required = false) String busiName, @RequestParam Integer page, @RequestParam Integer rows, @RequestParam Integer total) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        return this.iCfTemplateService.getBusiList(sceneId, busiName, page, rows, total);
    }

    @PostMapping({"/busiFieldList"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "sceneId", value = "场景id", dataType = "String", required = true), @ApiImplicitParam(name = "busiId", value = "业务id", dataType = "String", required = true)})
    @ApiOperation("请求业务字段列表")
    public ResultList busiFieldList(@RequestParam String sceneId, @RequestParam String busiId, @RequestParam String accessToken) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        JSONObject resObj = this.iCfTemplateService.getBusiFiled(sceneId, busiId);
        JSONArray data = resObj.getJSONArray("row");
        ResultList<Object> objectResultList = new ResultList<>();
        objectResultList.setState(CollectionUtils.isNotEmpty(data) ? 1 : 0);
        objectResultList.setRows(data);
        return objectResultList;
    }

    private ResultObject<CFormTokenDto> validateAccessToken(String accessToken, boolean flag, PermissionDto permissionDto) {
        if (StringUtil.isEmpty(accessToken)) {
            return ResultUtil.errorToObject("accessToken 不能为空");
        }
        CFormTokenDto cFormTokenDto = (CFormTokenDto) CacheManager.get("CFORM_ACCESS_TOKEN", accessToken);
        if (Objects.isNull(cFormTokenDto)) {
            return ResultUtil.errorToObject("accessToken已失效，请重新获取");
        }
        if (flag) {
            String result = permissionCheck(cFormTokenDto.getAppCode(), permissionDto);
            if (StringUtil.isNotEmpty(result)) {
                return ResultUtil.errorToObject(result);
            }
        }
        return ResultUtil.successToObject(cFormTokenDto);
    }

    private String permissionCheck(String appCode, PermissionDto permissionDto) {
        CfApp cfApp = this.iCfAppService.getCacheAppByCode(appCode);
        if (Objects.isNull(cfApp)) {
            return "该应用" + appCode + "没有权限，请联系管理员";
        }
        String cfAppId = cfApp.getId();
        QueryWrapper<CfAppPermission> permissionQuery = new QueryWrapper<>();
        permissionQuery.lambda().eq((v0) -> {
            return v0.getAppId();
        }, cfAppId);
        String formId = permissionDto.getFormId();
        List<String> formIds = permissionDto.getFormIds();
        if (StringUtil.isNotEmpty(permissionDto.getFormDataId())) {
            String formDataId = permissionDto.getFormDataId();
            CfData cfData = (CfData) this.iCfDataService.getById(formDataId);
            formId = cfData.getFormId();
        }
        if ("all".equals(cfApp.getType())) {
            return null;
        }
        if ("cform".equals(cfApp.getType())) {
            permissionQuery.lambda().eq(StringUtil.isNotEmpty(formId), (v0) -> {
                return v0.getObjectId();
            }, formId);
            permissionQuery.lambda().notIn(CollectionUtils.isNotEmpty(formIds), (v0) -> {
                return v0.getObjectId();
            }, formIds);
        } else if ("dept".equals(cfApp.getType())) {
            if (CollectionUtils.isNotEmpty(formIds)) {
                QueryWrapper<CfForm> formQuery = new QueryWrapper<>();
                formQuery.lambda().in((v0) -> {
                    return v0.getId();
                }, formIds);
                List<CfForm> cfForms = this.iCfFormService.list(formQuery);
                List<String> orgCodes = (List) cfForms.stream().map((v0) -> {
                    return v0.getDeptId();
                }).collect(Collectors.toList());
                permissionQuery.lambda().notIn(CollectionUtils.isNotEmpty(formIds), (v0) -> {
                    return v0.getObjectId();
                }, orgCodes);
            } else {
                CfForm form = (CfForm) this.iCfFormService.getById(formId);
                if (Objects.isNull(form)) {
                    throw new BusiException("表单id有误：" + formId);
                }
                String orgCode = form.getDeptId();
                permissionQuery.lambda().eq((v0) -> {
                    return v0.getObjectId();
                }, orgCode);
            }
        } else if ("app".equals(cfApp.getType())) {
            return null;
        }
        if (CollectionUtils.isNotEmpty(formIds)) {
            List<CfAppPermission> list = this.iCfAppPermissionService.list(permissionQuery);
            if (CollectionUtils.isNotEmpty(list)) {
                return "该部门没有该表单的权限，请联系管理员";
            }
            return null;
        }
        List<CfAppPermission> list2 = this.iCfAppPermissionService.list(permissionQuery);
        if (CollectionUtils.isEmpty(list2)) {
            return "该部门没有该表单的权限，请联系管理员";
        }
        return null;
    }

    @PostMapping({"/createForm"})
    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "授权码", dataType = "String", required = true)})
    @ApiOperation("创建表单")
    public Result createCrom(@RequestParam String code, @RequestBody FormContentDto formContentDto) {
        if (StringUtil.isEmpty(code)) {
            return ResultUtil.errorToObject("code传值错误");
        }
        JSONObject obj = (JSONObject) CacheManager.get("CFORM_SSO_LOGIN", code);
        if (Objects.isNull(obj)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        String appCode = obj.getString("appCode");
        IUser iUser = (IUser) obj.getObject("user", IUser.class);
        String name = formContentDto.getFormName();
        if (StringUtil.isEmpty(name)) {
            name = "表单标题";
        }
        if (StringUtil.isEmpty(formContentDto.getContent())) {
            formContentDto.setContent("{\"options\":{\"desc\":\"\",\"name\":\"" + name + "\",\"formtype\":\"-1\"},\"content\":[]}");
        }
        formContentDto.setIsExternalApp("1");
        formContentDto.setExternalAppCode(appCode);
        formContentDto.setCompanyId((String) iUser.getAttrMap().get("companyId"));
        formContentDto.setFormName(name);
        String id = this.iCfFormService.createCfrom(iUser, formContentDto);
        return ResultUtil.success(id);
    }

    @PostMapping({"/saveForm"})
    @ApiImplicitParams({@ApiImplicitParam(name = "callback", value = "回调地址", dataType = "query", required = false), @ApiImplicitParam(name = "code", value = "授权码", dataType = "String", required = true)})
    @ApiOperation("保存表单")
    public Result save(@RequestParam String code, @RequestParam(value = "callback", required = false) String callback, @RequestBody FormContentDto formContentDto) {
        CfForm form;
        if (StringUtil.isEmpty(code)) {
            return ResultUtil.errorToObject("code传值错误");
        }
        JSONObject obj = (JSONObject) CacheManager.get("CFORM_SSO_LOGIN", code);
        if (Objects.isNull(obj)) {
            return ResultUtil.errorToObject("code已失效，请重新获取");
        }
        String appCode = obj.getString("appCode");
        IUser iUser = (IUser) obj.getObject("user", IUser.class);
        formContentDto.setCallback(callback);
        if (StringUtil.isNotBlank(callback)) {
            formContentDto.setSaveCallbackFlag(true);
        }
        formContentDto.setIsExternalApp("1");
        formContentDto.setExternalAppCode(appCode);
        formContentDto.setCompanyId((String) iUser.getAttrMap().get("companyId"));
        if (formContentDto.getExternalPublishFlag().booleanValue()) {
            form = this.iCfFormService.publish((String) iUser.getAttrMap().get("companyId"), formContentDto, iUser);
        } else {
            form = this.iCfFormService.save((String) iUser.getAttrMap().get("companyId"), formContentDto, iUser);
        }
        return ResultUtil.successToObject(form);
    }

    @PostMapping({"/widgetList"})
    @ApiImplicitParams({@ApiImplicitParam(name = "formId", value = "表单id", dataType = "String", required = true), @ApiImplicitParam(name = "formVersionId", value = "表单版本id", dataType = "String", required = false), @ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true)})
    @ApiOperation("根据表单id或者表单版本id，获取表单组件列表")
    public ResultObject<CfModel> widgetList(@RequestParam String accessToken, @RequestParam String formId, @RequestParam(required = false) String formVersionId) {
        CfFormContent cfFormContent;
        ResultObject validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToObject(validateAccessToken.getMessage());
        }
        new CfFormContent();
        if (StringUtils.isNotEmpty(formVersionId)) {
            cfFormContent = (CfFormContent) this.iCfFormContentService.getById(formVersionId);
            if (ObjectUtils.isEmpty(cfFormContent)) {
                ResultUtil.errorToObject("表单版本id有误");
            }
        } else {
            CfForm cfForm = (CfForm) this.iCfFormService.getById(formId);
            if (ObjectUtils.isEmpty(cfForm)) {
                ResultUtil.errorToObject("未获取到表单");
            }
            cfFormContent = (CfFormContent) this.iCfFormContentService.getById(cfForm.getCurrentVersionId());
            if (ObjectUtils.isEmpty(cfFormContent)) {
                ResultUtil.errorToObject("获取不到表单");
            }
        }
        String content = cfFormContent.getContent();
        List<FormContentModelDto> formContentModelDtos = this.formUtils.getModelsByFormContent(content);
        List<ModelVo> cfModels = BeanUtils.convertList(formContentModelDtos, ModelVo.class);
        return ResultUtil.successToObject(cfModels);
    }

    @PostMapping({"/cascadeHistory"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "string", required = true), @ApiImplicitParam(name = "id", value = "级联id", dataType = "string"), @ApiImplicitParam(name = "deptId", value = "部门id", dataType = "string"), @ApiImplicitParam(name = "startTime", value = "开始时间", dataType = "string"), @ApiImplicitParam(name = "endTime", value = "结束时间", dataType = "string"), @ApiImplicitParam(name = "page", value = "第几页", dataType = "string", required = true), @ApiImplicitParam(name = "rows", value = "页大小", dataType = "string", required = true)})
    @ApiOperation("获取级联历史数据")
    private ResultList<CascadeHistoryInfoVo> cascadeHistory(String accessToken, @RequestParam(required = false) String id, @RequestParam(required = false) String deptId, @RequestParam(required = false) String startTime, @RequestParam(required = false) String endTime, @RequestParam("page") Integer page, @RequestParam("rows") Integer rows) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        QueryWrapper<CfCascade> queryWrapper = new QueryWrapper<>();
        if (hiCheckEmpty(id, deptId, startTime, endTime)) {
            return ResultUtil.errorToList("请传参");
        }
        PageHelper.startPage(page.intValue(), rows.intValue());
        queryWrapper.lambda().eq(StringUtil.isNotEmpty(id), (v0) -> {
            return v0.getId();
        }, id).eq(StringUtil.isNotEmpty(deptId), (v0) -> {
            return v0.getDeptId();
        }, deptId).and(StringUtil.isNotEmpty(startTime) || StringUtil.isNotEmpty(endTime), i -> {
            i.ge(StringUtil.isNotEmpty(startTime), (v0) -> {
                return v0.getLastModifitionTime();
            }, startTime).le(StringUtil.isNotEmpty(endTime), (v0) -> {
                return v0.getLastModifitionTime();
            }, endTime);
        });
        List<CfCascade> list = this.iCfCascadeService.list(queryWrapper);
        List<CascadeHistoryInfoVo> cascadeHistoryInfoVos = RelationsBinder.convertAndBind(list, CascadeHistoryInfoVo.class);
        return ResultUtil.successToList(cascadeHistoryInfoVos);
    }

    @PostMapping({"/dictHistory"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "string", required = true), @ApiImplicitParam(name = "id", value = "字典id", dataType = "string"), @ApiImplicitParam(name = "deptId", value = "部门id", dataType = "string"), @ApiImplicitParam(name = "startTime", value = "开始时间", dataType = "string"), @ApiImplicitParam(name = "endTime", value = "结束时间", dataType = "string"), @ApiImplicitParam(name = "page", value = "第几页", dataType = "string", required = true), @ApiImplicitParam(name = "rows", value = "页大小", dataType = "string", required = true)})
    @ApiOperation("获取字典历史数据")
    private ResultList<DictHistoryInfoVo> dictHistory(String accessToken, @RequestParam(required = false) String id, @RequestParam(required = false) String deptId, @RequestParam(required = false) String startTime, @RequestParam(required = false) String endTime, @RequestParam("page") Integer page, @RequestParam("rows") Integer rows) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        if (hiCheckEmpty(id, deptId, startTime, endTime)) {
            return ResultUtil.errorToList("请传参");
        }
        PageHelper.startPage(page.intValue(), rows.intValue());
        QueryWrapper<CfDict> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(StringUtil.isNotEmpty(id), (v0) -> {
            return v0.getId();
        }, id).eq(StringUtil.isNotEmpty(deptId), (v0) -> {
            return v0.getDeptId();
        }, deptId).and(StringUtil.isNotEmpty(startTime) || StringUtil.isNotEmpty(endTime), i -> {
            i.ge(StringUtil.isNotEmpty(startTime), (v0) -> {
                return v0.getLastModifitionTime();
            }, startTime).le(StringUtil.isNotEmpty(endTime), (v0) -> {
                return v0.getLastModifitionTime();
            }, endTime);
        });
        List<CfDict> list = this.iCfDictService.list(queryWrapper);
        if (CollectionUtils.isEmpty(list)) {
            return ResultUtil.successToList(list);
        }
        List<DictHistoryInfoVo> dictHistoryInfoVos = RelationsBinder.convertAndBind(list, DictHistoryInfoVo.class);
        return ResultUtil.successToList(dictHistoryInfoVos);
    }

    @PostMapping({"/formHistory"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "string", required = true), @ApiImplicitParam(name = "id", value = "表单id", dataType = "string"), @ApiImplicitParam(name = "deptId", value = "部门id", dataType = "string"), @ApiImplicitParam(name = "startTime", value = "开始时间", dataType = "string"), @ApiImplicitParam(name = "endTime", value = "结束时间", dataType = "string"), @ApiImplicitParam(name = "page", value = "第几页", dataType = "string", required = true), @ApiImplicitParam(name = "rows", value = "页大小", dataType = "string", required = true)})
    @ApiOperation("获取表单历史数据")
    private ResultList<FormHistoryInfoVo> formHistory(String accessToken, @RequestParam(required = false) String id, @RequestParam(required = false) String deptId, @RequestParam(required = false) String startTime, @RequestParam(required = false) String endTime, @RequestParam("page") Integer page, @RequestParam("rows") Integer rows) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        if (hiCheckEmpty(id, deptId, startTime, endTime)) {
            return ResultUtil.errorToList("请传参");
        }
        PageHelper.startPage(page.intValue(), rows.intValue());
        QueryWrapper<CfForm> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(StringUtil.isNotEmpty(id), (v0) -> {
            return v0.getId();
        }, id).eq(StringUtil.isNotEmpty(deptId), (v0) -> {
            return v0.getDeptId();
        }, deptId).and(StringUtil.isNotEmpty(startTime) || StringUtil.isNotEmpty(endTime), i -> {
            i.ge(StringUtil.isNotEmpty(startTime), (v0) -> {
                return v0.getLastModifitionTime();
            }, startTime).le(StringUtil.isNotEmpty(endTime), (v0) -> {
                return v0.getLastModifitionTime();
            }, endTime);
        });
        List<CfForm> list = this.iCfFormService.list(queryWrapper);
        if (CollectionUtils.isEmpty(list)) {
            return ResultUtil.successToList(list);
        }
        List<FormHistoryInfoVo> formHistoryInfos = RelationsBinder.convertAndBind(list, FormHistoryInfoVo.class);
        return ResultUtil.successToList(formHistoryInfos);
    }

    @PostMapping({"/widgetHistory"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "string", required = true), @ApiImplicitParam(name = "id", value = "组件id", dataType = "string"), @ApiImplicitParam(name = "deptId", value = "部门id", dataType = "string"), @ApiImplicitParam(name = "startTime", value = "开始时间", dataType = "string"), @ApiImplicitParam(name = "endTime", value = "结束时间", dataType = "string"), @ApiImplicitParam(name = "page", value = "第几页", dataType = "string", required = true), @ApiImplicitParam(name = "rows", value = "页大小", dataType = "string", required = true)})
    @ApiOperation("获取组件历史数据")
    private ResultList<WidgetHistoryInfoVo> widgetHistory(String accessToken, @RequestParam(required = false) String id, @RequestParam(required = false) String deptId, @RequestParam(required = false) String startTime, @RequestParam(required = false) String endTime, @RequestParam("page") Integer page, @RequestParam("rows") Integer rows) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        if (hiCheckEmpty(id, deptId, startTime, endTime)) {
            return ResultUtil.errorToList("请传参");
        }
        PageHelper.startPage(page.intValue(), rows.intValue());
        QueryWrapper<CfWidget> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(StringUtil.isNotEmpty(id), (v0) -> {
            return v0.getId();
        }, id).eq(StringUtil.isNotEmpty(deptId), (v0) -> {
            return v0.getDeptId();
        }, deptId).and(StringUtil.isNotEmpty(startTime) || StringUtil.isNotEmpty(endTime), i -> {
            i.ge(StringUtil.isNotEmpty(startTime), (v0) -> {
                return v0.getLastModifitionTime();
            }, startTime).le(StringUtil.isNotEmpty(endTime), (v0) -> {
                return v0.getLastModifitionTime();
            }, endTime);
        });
        List<CfWidget> list = this.iCfWidgetService.list(queryWrapper);
        if (CollectionUtils.isEmpty(list)) {
            return ResultUtil.successToList(list);
        }
        List<WidgetHistoryInfoVo> widgetCloudInfoVoList = RelationsBinder.convertAndBind(list, WidgetHistoryInfoVo.class);
        return ResultUtil.successToList(widgetCloudInfoVoList);
    }

    private boolean hiCheckEmpty(String id, String deptId, String startTime, String endTime) {
        if (StringUtil.isEmpty(id) && StringUtil.isEmpty(deptId) && StringUtil.isEmpty(startTime) && StringUtil.isEmpty(endTime)) {
            return true;
        }
        return false;
    }

    @PostMapping({"/pluginsSettingAll"})
    @ApiImplicitParams({@ApiImplicitParam(name = "accessToken", value = "accessToken", dataType = "String", required = true), @ApiImplicitParam(name = "companyId", value = "公司Id", dataType = "query", required = true)})
    @ApiOperation("表单第三方动态插件配置")
    private ResultList<Map<String, Object>> pluginsSettingAll(String accessToken, String companyId) {
        ResultObject<CFormTokenDto> validateAccessToken = validateAccessToken(accessToken, false, null);
        if (validateAccessToken.getState() == 0) {
            return ResultUtil.errorToList(validateAccessToken.getMessage());
        }
        Map<String, Object> hashMap = new HashMap<>();
        hashMap.put("id", "1");
        hashMap.put("companyId", companyId);
        hashMap.put("name", "省电子证照API请求过滤器");
        hashMap.put("type", "1");
        hashMap.put("jsUrl", "/t/cdn/cform-iwidget/filter/gdszz.js");
        List<Map<String, Object>> ret = new ArrayList<>();
        ret.add(hashMap);
        return ResultUtil.successToList(ret);
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "授权码", paramType = "query", dataType = "string"), @ApiImplicitParam(name = "companyId", value = "公司ID", paramType = "query", dataType = "string"), @ApiImplicitParam(name = "busiId", value = "业务ID 多个逗号隔开", paramType = "query", dataType = "string"), @ApiImplicitParam(name = "busiTitle", value = "业务标题", paramType = "query", dataType = "string"), @ApiImplicitParam(name = "busiType", value = "业务类型", paramType = "query", dataType = "string"), @ApiImplicitParam(name = "page", value = "第几页", required = true, paramType = "query", dataType = "int", example = "1"), @ApiImplicitParam(name = "rows", value = "页大小", required = true, paramType = "query", dataType = "int", example = "10")})
    @GetMapping({"/todoList"})
    @ApiOperation("查询业务待办列表")
    public ResultList<ApiApproveTodoVo> todoList(@RequestParam String companyId, @RequestParam String code, @RequestParam(required = false) String busiId, @RequestParam(required = false) String busiTitle, @RequestParam String busiType, @RequestParam Integer page, @RequestParam Integer rows) throws Exception {
        if (StringUtil.isEmpty(code)) {
            return ResultUtil.errorToList("code传值错误");
        }
        JSONObject obj = (JSONObject) CacheManager.get("CFORM_SSO_LOGIN", code);
        if (Objects.isNull(obj)) {
            return ResultUtil.errorToList("code已失效，请重新获取");
        }
        IUser user = (IUser) obj.getObject("user", IUser.class);
        CacheManager.evict("CFORM_SSO_LOGIN", code);
        PageHelper.startPage(page.intValue(), rows.intValue());
        QueryWrapper<CfApproveTodo> queryWrapper = new QueryWrapper<>();
        boolean deptRole = this.roleUtil.hasPower(user.getId(), this.properties.getApp().getRole().getDeptAdmin());
        boolean companyRole = this.roleUtil.hasPower(user.getId(), this.properties.getApp().getRole().getCompanyAdmin());
        ((LambdaQueryWrapper) ((LambdaQueryWrapper) ((LambdaQueryWrapper) ((LambdaQueryWrapper) queryWrapper.lambda().and(i -> {
            ((LambdaQueryWrapper) i.or(i3 -> {
            })).or(companyRole, i1 -> {
            }).or(deptRole, i2 -> {
            });
        })).eq((v0) -> {
            return v0.getCompanyId();
        }, companyId)).in(StringUtil.isNotEmpty(busiId), (v0) -> {
            return v0.getBusiId();
        }, Arrays.asList(busiId.split(","))).like(StringUtil.isNotEmpty(busiTitle), (v0) -> {
            return v0.getTitle();
        }, busiTitle).eq(StringUtil.isNotEmpty(busiType), (v0) -> {
            return v0.getBusiType();
        }, busiType).eq((v0) -> {
            return v0.getStatus();
        }, "1")).orderByDesc((v0) -> {
            return v0.getLastModifitionTime();
        })).orderByDesc((v0) -> {
            return v0.getCreationTime();
        });
        List<CfApproveTodo> list = this.iCfApproveTodoService.list(queryWrapper);
        List<ApiApproveTodoVo> approveTodoVoList = RelationsBinder.convertAndBind(list, ApiApproveTodoVo.class);
        return ResultUtil.successToList(approveTodoVoList);
    }

    @PostMapping({"/approve/agree"})
    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "授权码", paramType = "query", dataType = "string"), @ApiImplicitParam(name = "todoId", value = "待办id 多个则逗号隔开", paramType = "query", dataType = "string")})
    @ApiOperation("审核通过")
    public Result agree(@RequestParam String code, @RequestParam String todoId) {
        if (StringUtil.isEmpty(code)) {
            return ResultUtil.error("code传值错误");
        }
        JSONObject obj = (JSONObject) CacheManager.get("CFORM_SSO_LOGIN", code);
        if (Objects.isNull(obj)) {
            return ResultUtil.error("code已失效，请重新获取");
        }
        IUser iUser = (IUser) obj.getObject("user", IUser.class);
        CacheManager.evict("CFORM_SSO_LOGIN", code);
        if (StringUtil.isBlank(todoId)) {
            return ResultUtil.error("请传递待办id参数");
        }
        String[] todoIds = todoId.split(",");
        List<CfApproveTodo> approveTodos = this.iCfApproveTodoService.list((Wrapper) new LambdaQueryWrapper().in((v0) -> {
            return v0.getId();
        }, Arrays.asList(todoIds)));
        for (CfApproveTodo cfApproveTodo : approveTodos) {
            if ("1".equals(cfApproveTodo.getBusiType())) {
                this.iCfFormService.agree(cfApproveTodo.getId(), iUser);
            }
        }
        return ResultUtil.success("成功");
    }

    @ApiImplicitParams({@ApiImplicitParam(name = "code", value = "授权码", paramType = "query", dataType = "string")})
    @PutMapping({"/approve/reject"})
    @ApiOperation("审核驳回")
    public Result reject(@RequestParam String code, @RequestBody RejectDto rejectDto) {
        if (StringUtil.isEmpty(code)) {
            return ResultUtil.error("code传值错误");
        }
        JSONObject obj = (JSONObject) CacheManager.get("CFORM_SSO_LOGIN", code);
        if (Objects.isNull(obj)) {
            return ResultUtil.error("code已失效，请重新获取");
        }
        IUser iUser = (IUser) obj.getObject("user", IUser.class);
        CacheManager.evict("CFORM_SSO_LOGIN", code);
        String todoId = rejectDto.getTodoId();
        if (StringUtil.isBlank(todoId)) {
            return ResultUtil.error("请传递待办id参数");
        }
        String[] todoIds = todoId.split(",");
        List<CfApproveTodo> approveTodos = this.iCfApproveTodoService.list((Wrapper) new LambdaQueryWrapper().in((v0) -> {
            return v0.getId();
        }, Arrays.asList(todoIds)));
        for (CfApproveTodo cfApproveTodo : approveTodos) {
            if ("1".equals(cfApproveTodo.getBusiType())) {
                RejectDto tRejectDto = new RejectDto();
                tRejectDto.setTodoId(cfApproveTodo.getId());
                tRejectDto.setOpinion(rejectDto.getOpinion());
                this.iCfFormService.reject(cfApproveTodo.getCompanyId(), tRejectDto, iUser);
            }
        }
        return ResultUtil.success("成功");
    }
}
